<cfcomponent output="No">
	<cfsilent>
		<cfinclude template="_settings.cfm">
		<cfscript>
			prefix = hash(request.path2site);
			prefix = reReplace(prefix, "[^a-zA-Z]","","all");
			prefix = right(prefix, 64 - len("_blog_#request.blogname#"));
			this.name = "#prefix#_blog_#request.blogname#";
			this.clientManagement = true;
			this.sessionManagement = true;
			this.setClientCookies = true;
			this.sessionTimeOut = CreateTimeSpan(0,0,10,0);
			this.applicationTimeOut = CreateTimeSpan(5,0,0,0);
		</cfscript>

		<cffunction name="onApplicationStart" output="No">
			<cfset var leftPodVar = "">
			<cfset var rightPodVar = "">
			<cfset var majorVersion = listFirst(server.coldfusion.productversion)>
			<cfset var minorVersion = listGetAt(server.coldfusion.productversion,2)>
			<cfset var cfversion = majorVersion & "." & minorVersion>
			<cfset application.isColdFusionMX7 = server.coldfusion.productname is "ColdFusion Server" and cfversion gte 7>

			<cfset application.pathPrefix = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "pathPrefix")>
			<cfif Len(application.pathPrefix)>
				<cfset application.pathPrefix = application.pathPrefix & ".">
			</cfif>

			<cfset application.offset = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "offset")>
			<cfset application.locale = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "locale")>
			<cfset application.localeutils = createObject("component","#application.pathPrefix#com.hastings.locale.utils")>
			<cfset application.localeutils.loadLocale(application.locale)>

			<cfset application.funcObj = CreateObject("component", "#application.pathPrefix#com.general.functions")>
			<!--- Start configurations set --->
			<cfset application.showRelatedEntries = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "showRelatedEntries")>
			<cfset application.burl = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "burl")>
			<cfset application.description = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "description")>
			<cfset application.keywords = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "keywords")>
			<cfset application.email = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "email")>
			<cfset application.mailserver = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailserver")>
			<cfset application.mailusername = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailusername")>
			<cfset application.mailpassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailpassword")>
			<cfset application.layout = "_layouts/" & GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "layout") & "/">
			<cfset application.postNumb = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postNumb")>
			<cfset application.commentsNumb = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "commentsNumb")>
			<cfset application.postLen = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postLen")>
			<cfset application.title = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "title")>
			<cfset application.dsn = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsn")>
			<cfset application.dsnUsername = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnUsername")>
			<cfset application.dsnPassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnPassword")>
			<cfset application.dbType = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dbType")>
			<cfset application.urlUserName = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlUserName")>
			<cfset application.urlPassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlPassword")>
			<cfset application.useCaptcha = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "useCaptcha")>
			<cfif application.useCaptcha>
				<cfset application.captcha = CreateObject("component","#application.pathPrefix#com.captcha.captchaService").init(configFile="com/captcha/captcha.xml") />
				<cfset application.captcha.setup() />
			</cfif>
			<cfset application.statCounter = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounter")>
			<cfset application.statCounterProject = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterProject")>
			<cfset application.statCounterPartition = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterPartition")>
			<cfset application.statCounterDomainHeader = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterDomainHeader")>
			<cfset application.statCounterSecurity = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "statCounterSecurity")>
			<cfset application.googleAnalytics = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "googleAnalytics")>
			<cfset application.googleAnalyticsUACCT = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "googleAnalyticsUACCT")>
			<cfset application.allowPrinting = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "allowPrinting")>
			<cfset application.useGravatar = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "useGravatar")>
			<cfset application.entrySmilesConverter = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "entrySmilesConverter")>
			<cfset application.commentSmilesConverter = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "commentSmilesConverter")>
			<cfset application.popularity = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "popularity")>
			<cfset application.rating = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "rating")>
			<cfset application.showSocialTools = GetProfileString("#request.path2site#\ini\config.ini.cfm", "addons", "showSocialTools")>
			<cfset application.cacheMechanism = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "mechanism")>
			<cfset application.topEntries = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "topEntries")>
			<cfset application.periodAccesses = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "periodAccesses")>
			<cfset application.periodAccessesType = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "periodAccessesType")>
			<cfset application.rss = CreateObject("component", "#application.pathPrefix#com.camden.rss")>
			<!--- End configurations set --->

			<!--- load slideshow --->
			<cfset application.slideshow = createObject("component", "#application.pathPrefix#com.camden.slideshow").init("#request.path2site#/images/slideshows")>

			<!--- initialize the caching mechanism --->
			<cfset application.cache = StructNew()>
			<cfset application.cacheObj = CreateObject("component", "#application.pathPrefix##application.cacheMechanism#").cacheInit("application.cache")>
			<cfset application.blogCacheObj = CreateObject("component", "#application.pathPrefix#com.general.blogCache")>
			<!--- Start entries set --->
			<cfset application.blogCacheObj.cacheEntries()>
			<!--- End entries set --->
			<!--- Start pods set --->
			<cfset application.blogCacheObj.cachePods()>
			<!--- End pods set --->
			<!--- Start badWords set --->
			<cfset application.blogCacheObj.cacheBadWords()>
			<!--- End badWords set --->
			<!--- Start badIPs set --->
			<cfset application.blogCacheObj.cacheBadIPs()>
			<!--- End badIPs set --->
			<!--- Start Smiles set --->
			<cfset application.blogCacheObj.cacheSmiles()>
			<!--- End Smiles set --->
			<!--- Start StaticPages set --->
			<cfset application.blogCacheObj.cacheStaticPages()>
			<!--- End StaticPages set --->
			<!--- //// START Pod Layout caching //// --->
			<cfset application.blogCacheObj.cachePodLayout()>
			<!--- //// END Pod Layout caching //// --->
		</cffunction>
	
		<cffunction name="onApplicationEnd" returnType="void" output="No">
			<cfargument name="ApplicationScope" required="true"/>
			<cfset application.cacheObj.cacheShutdown(application.ApplicationScope.blog.cacheObj)>
		</cffunction>
	
		<cffunction name="onRequestStart" output="No">
			<cfif IsDefined("cgi.HTTPS") and cgi.HTTPS eq "on">
				<cfset request.burl =  ListSetAt(ListSetAt(application.burl, 1, "https", ":"), 2, cgi.server_name, '/')>
			<cfelse>
				<cfset request.burl =  ListSetAt(ListSetAt(application.burl, 1, "http", ":"), 2, cgi.server_name, '/')>
			</cfif>
			<cfif IsDefined("url.cache")>
				<cfset HttpRequestData = GetHttpRequestData()>
				<cfif StructKeyExists(HttpRequestData["headers"], "Authorization")>
					<cfset auth = ToString(ToBinary(RemoveChars(HttpRequestData["headers"]["Authorization"], 1, 6)))>
					<cfif ListFirst(auth, ":") eq application.urlUserName and ListLast(auth, ":") eq application.urlPassword and url.cache eq "refreshApp">
						<cfset StructClear(application)>
						<cfset onApplicationStart()>
						<cfabort>
					</cfif>
				</cfif>
			</cfif>
			<cfset application.funcObj.isIndex()>
		</cffunction>

		<cffunction name="onRequestEnd" returntype="boolean">
			<cfargument name="thePage" type="string" required="true">
			<cfset var fileOut = "">
			<cfset var out = "">
			<!---
			<cfset var pageOut = getPageContext().getCFOutput().getString()>
			--->
			<cfset var pageOut = GetPageContext().GetOut().GetString()>
			<cfset GetPageContext().GetOut().ClearBuffer()>
			<cftry>
				<cfif (not IsDefined("loadContent") or loadContent eq false) and not GetPageContext().GetResponse().IsCommitted() and IsDefined("cgi.HTTP_ACCEPT_ENCODING") and FindNoCase("gzip", cgi.HTTP_ACCEPT_ENCODING, 1) gt 0 and FindNoCase("return _CF_checkfrm(this)", pageOut, 1) eq 0 and not IsDebugMode()>
					<cfif Len(request.requestAddOns)>
						<cfset pageOut = ReReplaceNoCase(pageOut, "<( )*/( )*body( )*>", "#request.requestAddOns#</body>", "All") />
					</cfif>
					<cfset pageOut = ReReplace(pageOut, "<( )*/", "</", "All") />
					<cfset pageOut = ReReplace(pageOut, "( )*/>", "/>", "All") />
					<cfset pageOut = ReReplace(pageOut, ">( )*", ">", "All") />
					<cfset pageOut = ReReplace(pageOut, "( )*(\t)*(\r\n)+( )*(\t)*", "#Chr(13)##Chr(10)#", "All") />
					<cfset pageOut = ReReplace(pageOut, ">(\r\n)+<", "><", "All") />
					<cfset pageOut = ReReplace(pageOut, "(\r\n)+", "#Chr(13)##Chr(10)#", "All") />
					<cfset fileOut = CreateObject("java", "java.io.ByteArrayOutputStream").init()>
					<cfset out = CreateObject("java","java.util.zip.GZIPOutputStream").init(fileOut)>
					<cfset out.write(pageOut.getBytes(), 0, len(pageOut.getBytes()))>
					<cfset out.finish()>
					<cfset out.close()>
					<cfheader name="Content-Length" value="#fileOut.toString().length()#">
					<cfheader name="Content-Encoding" value="gzip">
					<cfcontent type="text/html" reset="true" variable="#fileOut.toByteArray()#">
				<cfelse>
					<cfif Len(request.requestAddOns)>
						<cfset pageOut = ReReplaceNoCase(pageOut, "<( )*/( )*body( )*>", "#request.requestAddOns#</body>", "All") />
					</cfif>
					<cfset WriteOutput(pageOut)>
					<cfset GetPageContext().GetOut().Flush()>
				</cfif>
				<cfcatch type="Any"></cfcatch>
			</cftry>
			<cfreturn true />
		</cffunction>

		<cffunction name="onSessionStart" output="No">
		</cffunction>

		<cffunction name="onSessionEnd" output="No">
		</cffunction>

		<cffunction name="onMissingTemplate" returnType="boolean" output="false">
			<cfargument name="targetpage" required="true" type="string">
			<cflocation addtoken="No" url="index.cfm">
			<cfreturn true>
		</cffunction>
	</cfsilent>
</cfcomponent>