<cfcomponent>
	<cfsilent>
		<cfinclude template="_settings.cfm">
		<cfscript>
			prefix = hash(getCurrentTemplatePath());
			prefix = reReplace(prefix, "[^a-zA-Z]","","all");
			prefix = right(prefix, 64 - len("_blog_#request.blogname#"));
			this.name = "#prefix#_blog_#request.blogname#_admin";
			this.clientManagement = true;
			this.sessionManagement = true;
			this.setClientCookies = true;
			this.sessionTimeOut = CreateTimeSpan(0,0,10,0);
			this.applicationTimeOut = CreateTimeSpan(5,0,0,0);
		</cfscript>

		<cffunction name="onApplicationStart">
			<cfset var oApp = "">
			<cfset application.pathPrefix = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "pathPrefix")>
			<cfif Len(application.pathPrefix)>
				<cfset application.pathPrefix = application.pathPrefix & ".">
			</cfif>
			<cfset application.funcObj = CreateObject("component", "#application.pathPrefix#com.general.functions")>
			<cfset application.appManagerObj = CreateObject("component", "#application.pathPrefix#com.applicationManager.applicationManager")>
			<cfset application.blogAppName = right(reReplace(hash(request.path2site), "[^a-zA-Z]","","all"), 64 - len("_blog_#request.blogname#")) & "_blog_#request.blogname#">
			<cfset application.blogAppCache = application.appManagerObj.getAppVariable(application.blogAppName, "cache")>
			<cfset application.burl = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "burl")>
			<cfset application.description = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "description")>
			<cfset application.keywords = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "keywords")>
			<cfset application.email = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "email")>
			<cfset application.mailserver = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailserver")>
			<cfset application.mailusername = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailusername")>
			<cfset application.mailpassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "mailpassword")>
			<cfset application.layout = "_layouts/fixed2colsleft">
			<cfset application.postNumb = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "postNumb")>
			<cfset application.commentsNumb = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "commentsNumb")>
			<cfset application.title = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "title")>
			<cfset application.dsn = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsn")>
			<cfset application.dsnUsername = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnUsername")>
			<cfset application.dsnPassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dsnPassword")>
			<cfset application.dbType = GetProfileString("#request.path2site#\ini\config.ini.cfm", "database", "dbType")>
			<cfset application.urlUserName = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlUserName")>
			<cfset application.urlPassword = GetProfileString("#request.path2site#\ini\config.ini.cfm", "blog", "urlPassword")>

			<cfset application.cacheMechanism = GetProfileString("#request.path2site#\ini\config.ini.cfm", "cache", "mechanism")>
			<cfset application.blogCacheObj = CreateObject("component", "#application.pathPrefix#com.general.blogCache")>

			<cfset oApp = application.appManagerObj.callAppFunc(application.blogAppName, "cacheObj.cacheGetScope")>
			<cfset application.cacheObj = CreateObject("component", "#application.pathPrefix##application.cacheMechanism#").cacheInit("#oApp#")>
			<cfset application.blogCacheObj = CreateObject("component", "#application.pathPrefix#com.general.blogCache")>
			<cfset application.ping = CreateObject("component", "#application.pathPrefix#com.camden.ping")>
			<cffile action="read" file="#request.path2site#\ini\pingURLs.ini.cfm" variable="application.pingURLs">
			<!--- load slideshow --->
			<cfset application.slideshow = createObject("component", "#application.pathPrefix#com.camden.slideshow").init("#request.path2site#/images/slideshows")>
		</cffunction>
	
		<cffunction name="onApplicationEnd" returnType="void" output="false">
		</cffunction>
	
		<cffunction name="onRequestStart">
			<cfif IsDefined("reloadApp") and reloadApp eq true><cfset onApplicationStart()></cfif>
			<cfset application.funcObj.isIndex()>
			<cfset onApplicationStart()>
		</cffunction>

		<cffunction name="onRequestEnd" returntype="boolean" output="true">
			<cfargument name="thePage" type="string" required="true">
			<cfset var fileOut = "">
			<cfset var out = "">
			<cfset var pageOut = getPageContext().getCFOutput().getString()>
			<cftry>
				<cfif (not IsDefined("loadContent") or loadContent eq false) and not GetPageContext().GetResponse().IsCommitted() and IsDefined("cgi.HTTP_ACCEPT_ENCODING") and FindNoCase("gzip", cgi.HTTP_ACCEPT_ENCODING, 1) gt 0 and FindNoCase("return _CF_checkfrm(this)", pageOut, 1) eq 0 and not IsDebugMode()>
					<cfset pageOut = ReReplace(pageOut, "< /", "</", "all") />
					<cfset pageOut = ReReplace(pageOut, " />", "/>", "all") />
					<cfset pageOut = ReReplace(pageOut, "> ", ">", "all") />
					<cfset pageOut = ReReplace(pageOut, "#Chr(09)#</", " </", "all") />
					<cfset pageOut = ReReplace(pageOut, Chr(09), "", "all") />
					<cfset pageOut = ReReplace(pageOut, Chr(10)&Chr(13)&Chr(10)&Chr(13), Chr(10)&Chr(13), "all") />
					<cfset pageOut = ReReplace(pageOut, Chr(13)&Chr(10)&Chr(13)&Chr(10), Chr(13)&Chr(10), "all") />
					<cfset pageOut = ReReplace(pageOut, ">#Chr(10)##Chr(13)#<", "><", "all") />
					<cfset pageOut = ReReplace(pageOut, ">#Chr(13)##Chr(10)#<", "><", "all") />
					<cfset pageOut = ReReplace(pageOut, ">#Chr(10)##Chr(13)# <", "><", "all") />
					<cfset pageOut = ReReplace(pageOut, ">#Chr(13)##Chr(10)# <", "><", "all") />
					<cfset pageOut = ReReplace(pageOut, Chr(10)&Chr(13)&Chr(10)&Chr(13), Chr(10)&Chr(13), "all") />
					<cfset pageOut = ReReplace(pageOut, Chr(13)&Chr(10)&Chr(13)&Chr(10), Chr(13)&Chr(10), "all") />
					<cfset fileOut = CreateObject("java", "java.io.ByteArrayOutputStream").init()>
					<cfset out = CreateObject("java","java.util.zip.GZIPOutputStream").init(fileOut)>
					<cfset out.write(pageOut.getBytes(), 0, len(pageOut.getBytes()))>
					<cfset out.finish()>
					<cfset out.close()>
					<cfheader name="Content-Length" value="#fileOut.toString().length()#">
					<cfheader name="Content-Encoding" value="gzip">
					<cfcontent type="text/html" reset="true" variable="#fileOut.toByteArray()#">
				</cfif>
				<cfcatch type="Any"></cfcatch>
			</cftry>
			<cfreturn true />
		</cffunction>

		<cffunction name="onSessionStart">
		</cffunction>

		<cffunction name="onSessionEnd">
		</cffunction>
	</cfsilent>
</cfcomponent>