<script src="js/xmlhttp.js" type="text/javascript" language="JavaScript"></script>
<cfsilent>
	<cfparam name="q" default="">
	<cfparam name="entry_id" default="0">
	<cfparam name="errMsg" default="">
	<cfparam name="allowed_categories" default="">
	
	<cfset entry_id = Val(entry_id)>
	
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getEntry">
		Select entry_id, subject, message, alias, enable_comments, views, posted_by, posted, updated, is_active, isCached, cachedTill
		From onessBlog_entries
		Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
	</cfquery>
	
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getTotalCategories">
		Select cat_id, cat_name
		From onessBlog_categories
		Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
		Order by cat_name
	</cfquery>
	
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getAllowedCategories">
		Select c.cat_id, c.cat_name
		From onessBlog_categories as c
			Inner Join onessBlog_rel_entry_category as r ON c.cat_id = r.cat_id
		Where r.entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
	</cfquery>

	<cfparam name="subject" default="#getEntry.subject#">
	<cfparam name="alias" default="#getEntry.alias#">
	<cfparam name="message" default="#getEntry.message#">
	<cfif not isDefined("enable_comments") and not entry_id><cfset enable_comments = 1></cfif>
	<cfparam name="enable_comments" default="#getEntry.enable_comments#">
	<cfif not isDefined("is_active") and not entry_id><cfset is_active = 1></cfif>
	<cfparam name="is_active" default="#getEntry.is_active#">
	<cfparam name="isCached" default="#getEntry.isCached#">
	<cfparam name="cachedTill" default="#getEntry.cachedTill#">
	<cfparam name="posted" default="#DateFormat(getEntry.posted, 'mm/dd/yyyy')# #TimeFormat(getEntry.posted, 'hh:mm tt')#">
	<cfif not IsValid("date", posted)>
		<cfset posted = "#DateFormat(Now(), 'mm/dd/yyyy')# #TimeFormat(Now(), 'hh:mm tt')#">
	</cfif>
	
	<cfif Val(entry_id)>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getRelatedEntries">
			Select entry_id1, entry_id2
			From onessBlog_rel_entry_entry
			Where (entry_id1 = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
				or entry_id2 = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">)
		</cfquery>
		<cfset entries = ListAppend(ValueList(getRelatedEntries.entry_id1, ","), ValueList(getRelatedEntries.entry_id2, ","), ",")>
		<cfif Len(entries)>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getRelCategories">
				Select c.cat_id
				From onessBlog_categories as c
					Inner Join onessBlog_rel_entry_category as r ON c.cat_id = r.cat_id
				Where r.entry_id in (<cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#entries#">)
			</cfquery>
			<cfset cats = ValueList(getRelCategories.cat_id, ",")>
		<cfelse>
			<cfset entries = "0">
			<cfset cats = "0">
		</cfif>
	<cfelse>
		<cfset entries = "0">
		<cfset cats = "0">
	</cfif>
</cfsilent>

<cfoutput>
	<script type="text/javascript" src="js/spry/xpath.js"></script>
	<script type="text/javascript" src="js/spry/SpryData.js"></script>
	<cfif errMsg neq "">
		<div class="err">
			<cfloop index="err" list="#errMsg#" delimiters="|">
				<li>#err#</li>
			</cfloop>
		</div>
	</cfif>
	<form action="index.cfm" method="post" name="postentry" onsubmit="return validate(this)">
		<input type="Hidden" name="q" value="#q#">
		<input type="Hidden" name="entry_id" value="#entry_id#">
		<input type="Hidden" name="action" value="entries.save">
		<table border="0" cellpadding="2" cellspacing="1" width="100%">
			<tr>
				<td align="right"><label for="subject"><strong>Subject:</strong></label></td>
				<td><input type="Text" id="subject" name="subject" value="#subject#" maxlength="100" size="30"></td>
				<td align="right"><label for="posted"><strong>Publish Date:</strong></label></td>
				<td><input type="Text" id="posted" name="posted" value="#posted#" maxlength="100" size="30"></td>
			</tr>
			<tr>
				<td align="right"><label for="enable_comments">Enable Comments:</label></td>
				<td><input type="Checkbox" id="enable_comments" name="enable_comments" value="1"<cfif Val(enable_comments)> checked</cfif>></td>
				<td align="right"><label for="is_active">Active:</label></td>
				<td><input type="Checkbox" id="is_active" name="is_active" value="1"<cfif Val(is_active)> checked</cfif>></td>
			</tr>
			<tr>
				<td align="right"><label for="isCached">Is Cached:</label></td>
				<td><input type="Checkbox" id="isCached" name="isCached" value="1"<cfif Val(isCached)> checked</cfif>></td>
				<td align="right"><label for="cachedTill">Cached Till:</label></td>
				<td><input type="Text" id="cachedTill" name="cachedTill" value="#cachedTill#" maxlength="100" size="30"></td>
			</tr>
			<tr valign="top">
				<td align="left" colspan="4"><label for="message"><strong>Message:</strong></label></td>
			</tr>
			<tr>
				<td colspan="4">
					<cfscript>
						basePath = "/#Replace(application.pathPrefix, '.', '', 'All')#/fckeditor/";
						fckEditor = createObject("component", "#basePath#fckeditor");
						fckEditor.instanceName	= "message";
						fckEditor.value			= "#message#";
						fckEditor.basePath		= basePath;
						fckEditor.width			= '100%';
						fckEditor.height		= 300;
						fckEditor.create(); 
					</cfscript>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<strong>Available Categories</strong><br />
					<Select style="width:300px;" name="category_list" multiple size="5" ondblclick="objForm.category_list.transferTo('allowed_categories')">
						<cfloop query="getTotalCategories">
							<option value="#cat_id#">#cat_name#<cfif not Val(is_active)> (inactive)</cfif></option>
						</cfloop>
					</select>
				</td>
				<td colspan="2">
					<strong>Entry Categories</strong><br />
					<Select style="width:300px;" name="allowed_categories" multiple size="5" ondblclick="objForm.category_list.transferFrom('allowed_categories')">
						<cfloop query="getAllowedCategories">
							<option value="#cat_id#" selected>#cat_name#<cfif not Val(is_active)> (inactive)</cfif></option>
						</cfloop>
					</select>
				</td>
			</tr>
			<tr>
				<td colspan="2" align="right">
					<input class="btn" type="Button" value="    &gt;&gt;    " onclick="objForm.category_list.transferTo('allowed_categories', true, 'all')">
					<input class="btn" type="Button" value="    &gt;    " onclick="objForm.category_list.transferTo('allowed_categories')">
				</td>
				<td colspan="2">
					<input class="btn" type="Button" value="    &lt;    " onclick="objForm.category_list.transferFrom('allowed_categories')">
					<input class="btn" type="Button" value="    &lt;&lt;    " onclick="objForm.category_list.transferFrom('allowed_categories', true, 'all')">
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<Select name="categories" multiple size="10" style="width:300px;" onchange="return makeGETRequest('index.cfm?action=entries.catsEntries&rnd=#RandRange(1,99999)#&loadContent=true&cats='+getSelected(this), 'entriesID')">
						<cfloop query="getTotalCategories">
							<option value="#cat_id#"<cfif ListFind(cats, cat_id, ",")> selected</cfif>>#cat_name#
						</cfloop>
					</select>
				</td>
				<td colspan="2">
					<div id="entriesID"><cfinclude template="catsEntries.cfm"></div>
				</td>
			</tr>
			<tr>
				<td></td>
				<td colspan="3" align="right">
					<input type="Submit" value="    Save    ">
					<input type="Button" value="   Cancel   " onclick="document.location='index.cfm?#URLDecode(q)#'">
				</td>
			</tr>
		</table>
	</form>
<script language="JavaScript">
	<!-- 
		function getSelected(o)
		{
			var x = ""
			for (var i = 0; i<o.length; i++)
			{
				if (o.options[i].selected) x = x + o.options[i].value + ",";
			}
			return x;
		}

		function validate(o) {
			if (o.subject.value == '') {
				alert("Please enter entry title!");
				o.subject.focus();
				return false
			}
			if (o.allowed_categories.length == 0) {
				alert("Please Select entry category!");
				return false
			}
			return true
		}
		objForm = new qForm("postentry");
		objForm.category_list.makeContainer();
		objForm.category_list.dummyContainer = true;
		objForm.allowed_categories.makeContainer();

		objForm.onSubmit = new Function("return validate(document.postentry)");
	// -->
	</script>
</cfoutput>