<cfparam name="q" default="">
<cfparam name="entry_id" default="0">
<cfparam name="subject" default="">
<cfparam name="alias" default="">
<cfparam name="message" default="">
<cfparam name="allowed_categories" default="">
<cfparam name="entries" default="0">
<cfparam name="isCached" default="0">

<cfif Right(entries, 1) eq ",">
	<cfset entries = Left(entries, Len(entries) - 1)>
</cfif>
<cfset entry_id = Val(entry_id)>

<cfif isDefined("is_active")><cfset is_active = 1><cfelse><cfset is_active = 0></cfif>
<cfif isDefined("enable_comments")><cfset enable_comments = 1><cfelse><cfset enable_comments = 0></cfif>

<cfset tmp = "">

<cfloop index="c" list="#allowed_categories#" delimiters=",">
	<cfif not ListFindNoCase(tmp, Val(c), ",")>
		<cfset tmp = ListAppend(tmp, Val(c), ",")>
	</cfif>
</cfloop>

<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getCategories">
	Select cat_id
	From onessBlog_categories
	Where cat_id in (#ListAppend(tmp, 0, ",")#)
</cfquery>

<cfset allowed_categories = ValueList(getCategories.cat_id, ",")>

<cfset errMsg = "">

<cfset subject = left(trim(subject), 100)>
<cfset alias = left(trim(alias), 100)>

<cfif subject eq "">
	<cfset errMsg = ListAppend(errMsg, "Please enter entry subject", "|")>
</cfif>
<cfif message eq "">
	<cfset errMsg = ListAppend(errMsg, "Please enter entry message", "|")>
</cfif>
<cfif not ListLen(allowed_categories)>
	<cfset errMsg = ListAppend(errMsg, "Please Select at least one category", "|")>
</cfif>
<cfif not IsValid("date", posted)>
	<cfset errMsg = ListAppend(errMsg, "Please enter a valid publish date", "|")>
</cfif>
<cfif isCached eq 1 and (Trim(cachedTill) eq "" or not IsValid("date", cachedTill))>
	<cfset errMsg = ListAppend(errMsg, "Please enter a valid Cached Till date", "|")>
</cfif>

<cfif errMsg eq "">
	<cfset alias = Replace(ReReplace(subject, '[^0-9a-zA-Z ]', '', 'All'), ' ', '-', 'All')>
	<cfif entry_id>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			declare @entry_id int
			Update onessBlog_entries
			Set subject = '#subject#'
				, message = '#message#'
				, alias = '#alias#'
				, enable_comments = #enable_comments#
				, updated = GetDate()
				, is_active = #is_active#
				, posted = '#posted#'
				, isCached = <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isCached)#">
				<cfif isCached eq 1>
					, cachedTill = '#cachedTill#'
				</cfif>
			Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
			set @entry_id = #entry_id#
			delete From onessBlog_rel_entry_category Where entry_id = @entry_id
			<cfloop list="#allowed_categories#" index="c" delimiters=",">
				Insert Into onessBlog_rel_entry_category
					(entry_id, cat_id)
				values
					(@entry_id, #c#)
			</cfloop>
		</cfquery>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			Delete From onessBlog_rel_entry_entry
			Where entry_id1 = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
		</cfquery>
	<cfelse>
		<cfquery name="ins" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			declare @entry_id int
			set nocount on
			Insert Into onessBlog_entries
				(lastAccess, periodAccesses, subject, message, alias, enable_comments, views, posted_by, posted, updated, is_active, isCached<cfif isCached eq 1>, cachedTill</cfif>)
			Values
				(GetDate(), 0, '#subject#', '#message#', '#alias#', #enable_comments#, 0, #session.adminID#, '#posted#', getDate(), #is_active#, <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isCached)#"><cfif isCached eq 1>, '#cachedTill#'</cfif>)
			Select @@identity as entry_id
			set nocount off
		</cfquery>
		<cfset entry_id = ins.entry_id>
		<cfquery name="" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			delete From onessBlog_rel_entry_category Where entry_id = #entry_id#
			<cfloop list="#allowed_categories#" index="c" delimiters=",">
				Insert Into onessBlog_rel_entry_category
					(entry_id, cat_id)
				values
					(#entry_id#, #c#)
			</cfloop>
		</cfquery>
		<cfif DateCompare(posted, Now()) lt 1 and is_active eq 1>
			<cfhttp url="#application.burl#/index.cfm?cache=refreshPosts" username="#application.urlUserName#" password="#application.urlPassword#" method="GET"/>
			<cfset trigEntry = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigEntry")>
			<cfif Len(trigEntry)>
				<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigEntry#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
			</cfif>
			<cfquery name="upd" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
				Update onessBlog_categories
				Set entries_num = entries_num + 1
				Where cat_id in (<cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#allowed_categories#">)
			</cfquery>
			<cfquery name="upd" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
				Update onessBlog_entries
				Set isMailed = 1
				Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
			</cfquery>
			<cfquery name="getSubscribers" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
				Select email, tkn
				From onessBlog_subscribers
				Where isConfirmed = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			</cfquery>
			<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#entry_id#/#alias#">
			<cfset subj = "New entry added to Blog: #application.title# / Entry: #subject#">
			<cfsavecontent variable="msg">
			<cfoutput>
Blog Entry:       #subject#
Entry Date:       #DateFormat(Now(), "mmm dd, yyyy")# / #TimeFormat(Now(), "hh:mm:ss tt")#
URL:              #lnk#

------------------------------------------------------------
This blog powered by 1ssBlog
Created by Ed Tabara (1smartsolution@gmail.com)
Unsubscribe: #application.burl#/index.cfm?action=posts.unsubscribe.blog
				</cfoutput>
			</cfsavecontent>
			<cfloop query="getSubscribers">
				<cfif application.mailserver is "">
					<cfmail to="#email#" from="#application.email#" subject="#subj#">#Trim(msg)#&email=#HTMLEditFormat(email)#&tkn=#tkn#</cfmail>
				<cfelse>
					<cfmail to="#email#" from="#application.email#" subject="#subj#"
						server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#Trim(msg)#&email=#HTMLEditFormat(email)#&tkn=#uuid#</cfmail>
				</cfif>
			</cfloop>
			<cfset application.ping.pingAggregators(application.pingurls, application.title, application.burl)>
		<cfelse>
			<cfschedule action="update" task="1ssBlog Ping #entry_id#" operation="HTTPRequest" 
					startDate="#DateFormat(posted, 'mmm dd, yyyy')#" startTime="#TimeFormat(posted, 'hh:mm:ss tt')#" url="#application.burl#/admin/index.cfm?action=ping&id=#entry_id#" interval="once">	
		</cfif>
	</cfif>
	<cfif entries neq "0">
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			<cfloop index="el" list="#entries#" delimiters=",">
				Insert Into onessBlog_rel_entry_entry (entry_id1, entry_id2)
				Values (<cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">, <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#el#">)
			</cfloop>
		</cfquery>
	</cfif>
	<cflocation addtoken="No" url="index.cfm?#URLDecode(q)#">
</cfif>