<cfsilent>
	<cfset errMsg = "">
	<cfparam name="id" default="0">
	<cfparam name="podTitle" default="">
	<cfparam name="podSource" default="">
	<cfparam name="podSide" default="">
	<cfparam name="isCached" default="0">
	<cfparam name="timeout" default="0">
	<cfparam name="timeoutFormat" default="">
	<cfparam name="isActive" default="0">
	<cfparam name="position" default="0">
	<cfparam name="title_image" default="">
	
	<cfif podSource eq "">
		<cfset errMsg = ListAppend(errMsg, "Please enter Pod Source", "|")>
	</cfif>
	<cfif podSide eq "">
		<cfset errMsg = ListAppend(errMsg, "Please Select Pod Side", "|")>
	</cfif>
	<cfif ListFind("0,1", isCached, ",") eq 0><cfset isCached = 0></cfif>
	<cfif Val(timeout) eq 0><cfset expiresOn = DateAdd("d", 2, Now())></cfif>
	<cfif ListFind("d,h,n", timeoutFormat, ",") eq 0>
		<cfset errMsg = ListAppend(errMsg, "Please Select valid Pod Timeout Format", "|")>
	</cfif>
	<cfif ListFind("0,1", isActive, ",") eq 0><cfset isActive = 0></cfif>
	<cfif Val(position) eq 0>
		<cfset errMsg = ListAppend(errMsg, "Please enter valid position", "|")>
	</cfif>
	
	<cfif errMsg eq "">
		<cfif Val(timeout) neq 0><cfset expiresOn = DateAdd(timeoutFormat, timeout, Now())></cfif>
		<cfif Len(title_image)>
			<cfset extFile = ListLast(ListLast(upldFile, "/"), ".")>
			<cffile action="UPLOAD" filefield="title_image" destination="#ExpandPath('pods/images')#/img_#Val(id)#.#extFile#" nameconflict="OVERWRITE">
			<cfset upldFile = file.serverFile>
			<cfif not ListFindNoCase("gif,jpg,png,swf", cffile.serverfileext, ",")>
				<cfset errMsg = ListAppend(errMsg, "Wrong image format", "|")>
				<cffile action="delete" file="#ExpandPath('pods/images')#/img_#Val(id)#.#extFile#">
			</cfif>
		</cfif>
		<cfif errMsg eq "">
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="ins" datasource="#application.dsn#">
				SET NOCOUNT ON
				Insert Into onessBlog_pods
					(
						podTitle
						, podSource
						, podSide
						, isCached
						, timeout
						, timeoutFormat
						, expiresOn
						, isActive
						, dateAdded
						, position
						, title_image
					)
				Values
					(
						<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(podTitle), 50)#">
						, <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(podSource), 150)#">
						, <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(podSide), 10)#">
						, <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isCached)#">
						, <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(timeout)#">
						, <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(timeoutFormat), 1)#">
						, <cfqueryparam cfsqltype="CF_SQL_TIMESTAMP" value="#expiresOn#">
						, <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isActive)#">
						, GetDate()
						, <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(position)#">
						, <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(title_image, 50)#">
					)
				Select @@identity as id
				SET NOCOUNT OFF
			</cfquery>
			<cflocation addtoken="No" url="index.cfm?action=managePods">
		</cfif>
	</cfif>
</cfsilent>
