<cfsilent>
	<cfset errMsg = "">
	<cfparam name="id" default="0">
	<cfparam name="podTitle" default="">
	<cfparam name="podSource" default="">
	<cfparam name="podSide" default="">
	<cfparam name="isCached" default="0">
	<cfparam name="timeout" default="0">
	<cfparam name="timeoutFormat" default="">
	<cfparam name="isActive" default="0">
	<cfparam name="position" default="0">
	<cfparam name="title_image" default="">
	
	<cfif podSource eq "">
		<cfset errMsg = ListAppend(errMsg, "Please enter Pod Source", "|")>
	</cfif>
	<cfif podSide eq "">
		<cfset errMsg = ListAppend(errMsg, "Please Select Pod Side", "|")>
	</cfif>
	<cfif ListFind("0,1", isCached, ",") eq 0><cfset isCached = 0></cfif>
	<cfif Val(timeout) eq 0><cfset expiresOn = DateAdd("d", 2, Now())></cfif>
	<cfif ListFind("d,h,n", timeoutFormat, ",") eq 0>
		<cfset errMsg = ListAppend(errMsg, "Please Select valid Pod Timeout Format", "|")>
	</cfif>
	<cfif ListFind("0,1", isActive, ",") eq 0><cfset isActive = 0></cfif>
	<cfif Val(position) eq 0>
		<cfset errMsg = ListAppend(errMsg, "Please enter valid position", "|")>
	</cfif>
	
	<cfif errMsg eq "">
		<cfif Val(timeout) neq 0><cfset expiresOn = DateAdd(timeoutFormat, timeout, Now())></cfif>
		<cfif Len(title_image)>
			<cfset extFile = ListLast(ListLast(upldFile, "/"), ".")>
			<cffile action="UPLOAD" filefield="title_image" destination="#ExpandPath('pods/images')#/img_#Val(id)#.#extFile#" nameconflict="OVERWRITE">
			<cfset upldFile = file.serverFile>
			<cfif not ListFindNoCase("gif,jpg,png,swf", cffile.serverfileext, ",")>
				<cfset errMsg = ListAppend(errMsg, "Wrong image format", "|")>
				<cffile action="delete" file="#ExpandPath('pods/images')#/img_#Val(id)#.#extFile#">
			</cfif>
		</cfif>
		<cfif errMsg eq "">
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
				Update onessBlog_pods
				Set
						podTitle = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(podTitle), 50)#">
						, podSource = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(podSource), 150)#">
						, podSide = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(podSide), 10)#">
						, isCached = <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isCached)#">
						, timeout = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(timeout)#">
						, timeoutFormat = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left(Trim(timeoutFormat), 1)#">
						, expiresOn = <cfqueryparam cfsqltype="CF_SQL_TIMESTAMP" value="#expiresOn#">
						, isActive = <cfqueryparam cfsqltype="CF_SQL_BIT" value="#Val(isActive)#">
						, position = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(position)#">
						<cfif Len(title_image)>
							, title_image = <cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#Left('img_#Val(id)#.#extFile#', 50)#">
						</cfif>
				Where id = #Val(id)#
			</cfquery>
			<cflocation addtoken="No" url="index.cfm?action=managePods">
		</cfif>
	</cfif>
</cfsilent>
