<cfsetting enablecfoutputonly=true>
<cfprocessingdirective pageencoding="utf-8">

<cfif IsDefined(id)>
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntry" datasource="#application.dsn#">
		Select e.entry_id, e.subject, e.message, e.alias, e.posted_by, e.posted, e.is_active, a.first_name + ' ' + a.last_name as name
		From onessBlog_entries e, onessBlog_admins a
		Where e.entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
			and e.is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			and e.posted <= GetDate()
			and e.posted_by = a.admin_id
			and e.isMailed = <cfqueryparam cfsqltype="CF_SQL_BIT" value="0">
	</cfquery>
	<cfif getEntry.RecordCount>
		<cfhttp url="#application.burl#/index.cfm?cache=refreshPosts" username="#application.urlUserName#" password="#application.urlPassword#" method="GET"/>
		<cfset trigEntry = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigEntry")>
		<cfif Len(trigEntry)>
			<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigEntry#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
		</cfif>
		<cfquery name="getCats" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
			Select cat_id
			From onessBlog_rel_entry_category
			Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
		</cfquery>
		<cfquery name="upd" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
			Update onessBlog_categories
			Set entries_num = entries_num + 1
			Where cat_id in (<cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#allowed_categories#">)
		</cfquery>
		<cfquery name="upd" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
			Update onessBlog_entries
			Set isMailed = 1
			Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
		</cfquery>
		<cfquery name="getSubscribers" datasource="#application.dsn#" username="#application.dsnUsername#" password="#application.dsnPassword#">
			Select email, tkn
			From onessBlog_subscribers
			Where isConfirmed = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
		</cfquery>
		<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#getEntry.entry_id#/#getEntry.alias#">
		<cfset subj = "New entry added to Blog: #application.title# / Entry: #getEntry.subject#">
		<cfsavecontent variable="msg">
		<cfoutput>
Blog Entry:       #getEntry.subject#
Entry Date:       #DateFormat(Now(), "mmm dd, yyyy")# / #TimeFormat(Now(), "hh:mm:ss tt")#
URL:              #lnk#

------------------------------------------------------------
This blog powered by 1ssBlog
Created by Ed Tabara (1smartsolution@gmail.com)
Unsubscribe: #application.burl#/index.cfm?action=posts.unsubscribe.blog
			</cfoutput>
		</cfsavecontent>
		<cfloop query="getSubscribers">
			<cfif application.mailserver is "">
				<cfmail to="#email#" from="#application.email#" subject="#subj#">#Trim(msg)#&email=#HTMLEditFormat(email)#&tkn=#tkn#</cfmail>
			<cfelse>
				<cfmail to="#email#" from="#application.email#" subject="#subj#"
					server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#Trim(msg)#&email=#HTMLEditFormat(email)#&tkn=#uuid#</cfmail>
			</cfif>
		</cfloop>
		<cfset application.ping.pingAggregators(application.pingurls, application.title, application.burl)>
		<cfschedule action="delete" task="1ssBlog Ping #id#">
	</cfif>
</cfif>

<cfsetting enablecfoutputonly=false>
