<cfsetting enablecfoutputonly=true>
<cfprocessingdirective pageencoding="utf-8">
<!---
	Name         : calendar
	Author       : Raymond Camden + Paul Hastings 
	Created      : February 11, 2003
	Last Updated : August 2, 2006
	History      : Reset history for version 5.0
				 : Forgot to SES the links on first row. Thanks to Lucas for pointing it out. (rkc 7/4/06)
				 : Bad SES link in first row (rkc 8/2/06)
	Purpose		 : Handles blog calendar
	
	MODIFIED by Ed Tabara on 6 Jan 2008 so that it to work with this blog app.
--->

<cfset offset = application.offset>
<cfset now = dateAdd("h", offset, now())>

<cfparam name="month" default="#month(now)#">
<cfparam name="year" default="#year(now)#">

<cfscript>
	// no idea why this was so hard to conceive
	function getFirstWeekPAD(firstDOW) {
		var firstWeekPad=0;
		var weekStartsOn=application.localeutils.weekStarts();
		switch (weekStartsON) {
			case 1:
				firstWeekPAD=firstDOW-1;
			break;
			case 2:
				firstWeekPAD=firstDOW-2;
				if (firstWeekPAD LT 0) firstWeekPAD=firstWeekPAD+7; // handle leap years
			break;
			case 7:
				firstWeekPAD=7-abs(firstDOW-7);
				if (firstWeekPAD EQ 7) firstWeekPAD=0;
			break;
		}
		return firstWeekPAD;
	}
</cfscript>

<cfif month eq Month(Now())>
	<cfset calendarPod = application.cacheObj.cacheGetElement("calendarPod")>
	<cfif Len(calendarPod) eq 0>
		<cfsavecontent variable="calendarPod">
			<cfscript>					
				localizedDays=application.localeutils.getLocalizedDays();
				localizedMonth=application.localeutils.getLocalizedMonth(month);
				localizedYear=application.localeutils.getLocalizedYear(year);
				firstDay=createDate(year,month,1);
				firstDOW=dayOfWeek(firstDay);
				dim=daysInMonth(firstDay);
				firstWeekPAD=getFirstWeekPAD(firstDOW);
				lastMonth=dateAdd("m",-1,firstDay);
				nextMonth=dateAdd("m",1,firstDay);
				dayList=application.funcObj.getActiveDays(year,month);
				dayCounter=1;
				rowCounter=1;
			</cfscript>
			
			
			<!--- swap navigation buttons if BIDI is true --->
			<cfoutput>
			<style type="text/css">
			
			.header, .header a {
				font-family: verdana, arial, sans-serif; 
				font-size: 11px;
				text-align: center;
				font-weight: bold;
			}
			
			
			##calendar{
				width:90%;
				margin:0 auto 0 auto
			}
			.calendarTable, .calendarTable a {
				font-family: verdana, arial, sans-serif; 
				font-size: 11px;
				text-align: center;
				padding: 2px;
				line-height: 14px;
			}
			
			.calendarToday {
				background-color: ##ffffff;
				color: ##000000;
				font-weight: bold;
			}
			.aLink {
				color: Red;
				font-weight: bold;
				text-decoration: underline;
				text-align: center;
				border: 1px solid white;
			}
			</style>
				<div class="header">
				<cfif application.localeutils.isBIDI()>
					<a href="index.cfm/#year(nextmonth)#/#month(nextmonth)#" rel="nofollow">&lt;&lt;</a>
					<a href="index.cfm/#year#/#month#" rel="nofollow">#localizedMonth# #localizedYear#</a>
					<a chref="index.cfm/#year(lastmonth)#/#month(lastmonth)#" rel="nofollow">&gt;&gt;</a>
				<cfelse>
					<a href="index.cfm/#year(lastmonth)#/#month(lastmonth)#" rel="nofollow">&lt;&lt;</a>
					<a href="index.cfm/#year#/#month#" rel="nofollow">#localizedMonth# #localizedYear#</a>
					<a href="index.cfm/#year(nextmonth)#/#month(nextmonth)#" rel="nofollow">&gt;&gt;</a>
				</cfif>
				</div>
			</cfoutput>
			<cfoutput>
			<table border=0 class="calendarTable" id="calendar">
			<thead>
			<tr>
				<!--- emit localized days in proper week start order --->
				<cfloop index="i" from="1" to="#arrayLen(localizedDays)#">
				<th>#localizedDays[i]#</th>
				</cfloop>
			</tr>
			</thead>
			<tbody>
			</cfoutput>
			<!--- loop until 1st --->
			<cfoutput><tr></cfoutput>
			<cfloop index="x" from=1 to="#firstWeekPAD#">
				<cfoutput><td>&nbsp;</td></cfoutput>
			</cfloop>
			
			<!--- note changed loop to start w/firstWeekPAD+1 and evaluated vs dayCounter instead of X --->
			<cfloop index="x" from="#firstWeekPAD+1#" to="7">
				<cfoutput><td <cfif month(now) eq month and dayCounter eq day(now) and year(now) eq year> class="calendarToday"</cfif>><cfif listFind(dayList,dayCounter)><a class="aLink" href="index.cfm/#year#/#month#/#dayCounter#" rel="nofollow">#dayCounter#</a><cfelse>#dayCounter#</cfif></td></cfoutput>
				<cfset dayCounter = dayCounter + 1>
			</cfloop>
			<cfoutput></tr></cfoutput>
			<!--- now loop until month days --->
			<cfloop index="x" from="#dayCounter#" to="#dim#">
				<cfif rowCounter is 1>
					<cfoutput><tr></cfoutput>
				</cfif>
				<cfoutput>
					<td <cfif month(now) eq month and x eq day(now) and year(now) eq year> class="calendarToday"</cfif>>
					<cfif listFind(dayList,x)><a class="aLink" href="index.cfm/#year#/#month#/#x#" rel="nofollow">#x#</a><cfelse>#x#</cfif>
					</td>
				</cfoutput>
				<cfset rowCounter = rowCounter + 1>
				<cfif rowCounter is 8>
					<cfoutput></tr></cfoutput>
					<cfset rowCounter = 1>
				</cfif>
			</cfloop>
			<!--- now finish up last row --->
			<cfif rowCounter GT 1> <!--- test if ran out of days --->
				<cfloop index="x" from="#rowCounter#" to=7>
					<cfoutput><td>&nbsp;</td></cfoutput>
				</cfloop>
				<cfoutput></tr></cfoutput>
			</cfif>
			<cfoutput>
			</tbody>
			</table>
			</cfoutput>
		</cfsavecontent>
		<cfset application.cacheObj.cacheSetElement("calendarPod", calendarPod)>
		<cfoutput>#calendarPod#</cfoutput>
	<cfelse>
		<cfoutput>#calendarPod#</cfoutput>
	</cfif>
<cfelse>
	<cfscript>					
		localizedDays=application.localeutils.getLocalizedDays();
		localizedMonth=application.localeutils.getLocalizedMonth(month);
		localizedYear=application.localeutils.getLocalizedYear(year);
		firstDay=createDate(year,month,1);
		firstDOW=dayOfWeek(firstDay);
		dim=daysInMonth(firstDay);
		firstWeekPAD=getFirstWeekPAD(firstDOW);
		lastMonth=dateAdd("m",-1,firstDay);
		nextMonth=dateAdd("m",1,firstDay);
		dayList=application.funcObj.getActiveDays(year,month);
		dayCounter=1;
		rowCounter=1;
	</cfscript>
	<!--- swap navigation buttons if BIDI is true --->
	<cfoutput>
	<style type="text/css">
	
	.header, .header a {
		font-family: verdana, arial, sans-serif; 
		font-size: 11px;
		text-align: center;
		font-weight: bold;
	}
	
	
	##calendar{
		width:90%;
		margin:0 auto 0 auto
	}
	.calendarTable, .calendarTable a {
		font-family: verdana, arial, sans-serif; 
		font-size: 11px;
		text-align: center;
		padding: 2px;
		line-height: 14px;
	}
	
	.calendarToday {
		background-color: ##ffffff;
		color: ##000000;
		font-weight: bold;
	}
	.aLink {
		color: Red;
		font-weight: bold;
		text-decoration: underline;
		text-align: center;
		border: 1px solid white;
	}
	</style>
		<div class="header">
		<cfif application.localeutils.isBIDI()>
			<a href="index.cfm/#year(nextmonth)#/#month(nextmonth)#" rel="nofollow">&lt;&lt;</a>
			<a href="index.cfm/#year#/#month#" rel="nofollow">#localizedMonth# #localizedYear#</a>
			<a chref="index.cfm/#year(lastmonth)#/#month(lastmonth)#" rel="nofollow">&gt;&gt;</a>
		<cfelse>
			<a href="index.cfm/#year(lastmonth)#/#month(lastmonth)#" rel="nofollow">&lt;&lt;</a>
			<a href="index.cfm/#year#/#month#" rel="nofollow">#localizedMonth# #localizedYear#</a>
			<a href="index.cfm/#year(nextmonth)#/#month(nextmonth)#" rel="nofollow">&gt;&gt;</a>
		</cfif>
		</div>
	</cfoutput>
	<cfoutput>
	<table border=0 class="calendarTable" id="calendar">
	<thead>
	<tr>
		<!--- emit localized days in proper week start order --->
		<cfloop index="i" from="1" to="#arrayLen(localizedDays)#">
		<th>#localizedDays[i]#</th>
		</cfloop>
	</tr>
	</thead>
	<tbody>
	</cfoutput>
	<!--- loop until 1st --->
	<cfoutput><tr></cfoutput>
	<cfloop index="x" from=1 to="#firstWeekPAD#">
		<cfoutput><td>&nbsp;</td></cfoutput>
	</cfloop>
	
	<!--- note changed loop to start w/firstWeekPAD+1 and evaluated vs dayCounter instead of X --->
	<cfloop index="x" from="#firstWeekPAD+1#" to="7">
		<cfoutput><td <cfif month(now) eq month and dayCounter eq day(now) and year(now) eq year> class="calendarToday"</cfif>><cfif listFind(dayList,dayCounter)><a class="aLink" href="index.cfm/#year#/#month#/#dayCounter#" rel="nofollow">#dayCounter#</a><cfelse>#dayCounter#</cfif></td></cfoutput>
		<cfset dayCounter = dayCounter + 1>
	</cfloop>
	<cfoutput></tr></cfoutput>
	<!--- now loop until month days --->
	<cfloop index="x" from="#dayCounter#" to="#dim#">
		<cfif rowCounter is 1>
			<cfoutput><tr></cfoutput>
		</cfif>
		<cfoutput>
			<td <cfif month(now) eq month and x eq day(now) and year(now) eq year> class="calendarToday"</cfif>>
			<cfif listFind(dayList,x)><a class="aLink" href="index.cfm/#year#/#month#/#x#" rel="nofollow">#x#</a><cfelse>#x#</cfif>
			</td>
		</cfoutput>
		<cfset rowCounter = rowCounter + 1>
		<cfif rowCounter is 8>
			<cfoutput></tr></cfoutput>
			<cfset rowCounter = 1>
		</cfif>
	</cfloop>
	<!--- now finish up last row --->
	<cfif rowCounter GT 1> <!--- test if ran out of days --->
		<cfloop index="x" from="#rowCounter#" to=7>
			<cfoutput><td>&nbsp;</td></cfoutput>
		</cfloop>
		<cfoutput></tr></cfoutput>
	</cfif>
	<cfoutput>
	</tbody>
	</table>
	</cfoutput>
</cfif>

<cfsetting enablecfoutputonly=false>