<cfset request.dsnExport = "oldDSN">
<cfset request.dsnExportUsername = "">
<cfset request.dsnExportPasswd = "">
<cfset request.dsnimport = "newDSN">
<cfset request.dsnInportUsername = "">
<cfset request.dsnInportPasswd = "">
<cfset request.blgCFCPath = "c:\inetpub\wwwroot\myOldSite\blog">
<cfset request.destinationPath = "c:\inetpub\wwwroot\myNewSite\blogNew">



<cffunction name="directoryCopy" output="true">
	<cfargument name="source" required="true" type="string">
	<cfargument name="destination" required="true" type="string">
	<cfargument name="nameconflict" required="true" default="overwrite">

	<cfset var contents = "" />
	<cfset var dirDelim = "/">
	
	<cfif server.OS.Name contains "Windows">
		<cfset dirDelim = "\" />
	</cfif>
	
	<cfif not(directoryExists(arguments.destination))>
		<cfdirectory action="create" directory="#arguments.destination#">
	</cfif>
	
	<cfdirectory action="list" directory="#arguments.source#" name="contents">
	
	<cfloop query="contents">
		<cfif contents.type eq "file">
			<cffile action="copy" source="#arguments.source#\#name#" destination="#arguments.destination#\#name#" nameconflict="#arguments.nameConflict#">
		<cfelseif contents.type eq "dir">
			<cfset directoryCopy(arguments.source & dirDelim & name, arguments.destination & dirDelim &  name) />
		</cfif>
	</cfloop>
</cffunction>
<cfset directoryCopy("#request.blgCFCPath#\images\slideshows", "#request.destinationPath#\images\slideshows") />



<cfset dsn = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "dsn")>
<cfset username = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "username")>
<cfset password = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "password")>
<cfset owneremail = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "owneremail")>
<cfset blogURL = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "blogURL")>
<cfset blogTitle = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "blogTitle")>
<cfset blogDescription = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "blogDescription")>
<cfset locale = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "locale")>
<cfset mailserver = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "mailserver")>
<cfset mailusername = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "mailusername")>
<cfset mailpassword = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "mailpassword")>
<cfset pingurls = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "pingurls")>
<cfset offset = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "offset")>
<cfset blogkeywords = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "blogkeywords")>
<cfset ipblocklist = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "ipblocklist")>
<cfset usecaptcha = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "usecaptcha")>
<cfset allowgravatars = GetProfileString("#request.blgCFCPath#\org\camden\blog\blog.ini.cfm", "default", "allowgravatars")>


<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "title", blogTitle)>
<cfset blogURL = ReplaceNoCase(blogURL, "index.cfm", "", "All")>
<cfif Right(blogURL, 1) neq "/">
	<cfset blogURL = blogURL & "/">
</cfif>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "burl", blogURL)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "description", blogDescription)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "keywords", blogkeywords)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "offset", offset)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "locale", locale)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "email", owneremail)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "mailserver", mailserver)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "mailusername", mailusername)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "blog", "mailpassword", mailpassword)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "database", "dsn", request.dsnimport)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "database", "dsnUsername", username)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "database", "dsnPassword", password)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "addons", "useCaptcha", usecaptcha)>
<cfset SetProfileString("#request.destinationPath#\ini\config.ini.cfm", "addons", "useGravatar", allowgravatars)>
<cffile action="WRITE" file="#request.destinationPath#\ini\badIPs.ini.cfm" output="#Replace(ipblocklist, ',', Chr(10), 'All')#">
<cffile action="WRITE" file="#request.destinationPath#\ini\pingURLs.ini.cfm" output="#Replace(pingurls, ',', Chr(10), 'All')#">


<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getUsers">
	Select distinct username, password, name
	From tblUsers
</cfquery>

<cfloop query="getUsers">
	<cfset lname = ListLast(name, " ")>
	<cfset fname = ListDeleteAt(name, ListLen(name), " ")>
	<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
		Insert Into onessBlog_admins (login, pwd, email, first_name, last_name, dateAdded)
		Values ('#username#', '#password#', '#owneremail#', '#fname#', '#lname#', GetDate())
	</cfquery>
</cfloop>

<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getCategories">
	Select categoryid, categoryname, categoryalias, blog
	From tblBlogCategories
</cfquery>

<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
	Alter Table onessBlog_categories Add old_catID varchar(50)
	Alter Table onessBlog_entries Add old_ID varchar(50)
</cfquery>

<cfloop query="getCategories">
	<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#" name="getNewCat">
		Insert Into onessBlog_categories (old_catID, cat_name, cat_alias, entries_num, is_active, created, updated)
		Values ('#categoryid#', '#categoryname#', '#categoryalias#', 0, 1, getDate(), getDate())
	</cfquery>
</cfloop>

<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getEntries">
	Select id, title, body, posted, morebody, alias, username, blog, allowcomments, enclosure, filesize, mimetype, views, released, mailed
	From tblBlogEntries	
	Order by posted asc
</cfquery>

<cfloop query="getEntries">
	<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#" name="getNewEntry">
		Set nocount on
		Insert Into onessBlog_entries (old_id, subject, message, alias, enable_comments, views, posted_by, posted, updated, is_active, commentsNumb, moderated)
		Select top 1 '#id#', '#title#', '#body#', '#alias#', #Val(allowcomments)#, #Val(views)#, admin_id, '#posted#', '#posted#', #Val(released)#, 0, 0
		From onessBlog_admins
		Where login = '#username#'
		
		Set nocount off
		Select @@identity as entry_id
	</cfquery>
	<cfset curEntryID = getNewEntry.entry_id>
	<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getComments">
		Select id, entryidfk, name, email, comment, posted, subscribe, website, moderated
		From tblBlogComments
		Where entryidfk = '#id#'
		Order by posted
	</cfquery>
	<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
		Update onessBlog_entries
		Set
			commentsNumb = #getComments.recordcount#
		Where entry_id = #curEntryID#
	</cfquery>
	<cfloop query="getComments">
		<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
			Insert Into onessBlog_comments (entry_id, name, email, link, comment, dateAdded, subscribe, moderated)
			Values (#curEntryID#, '#name#', '#email#', '#website#', '#comment#', '#posted#', #Val(subscribe)#, #Val(moderated)#)
		</cfquery>
	</cfloop>
	
	<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getRelCats">
		Select distinct categoryidfk
		From tblBlogEntriesCategories
		Where entryidfk = '#id#'
	</cfquery>

	<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
		Insert Into onessBlog_rel_entry_category (entry_id, cat_id)
		Select distinct #curEntryID#, cat_id
		From onessBlog_categories
		Where old_catID in ('#Replace(ValueList(getRelCats.categoryidfk, ","), ",", "','", "all")#')
	</cfquery>
</cfloop>

<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getRels">
	Select entryid, relatedid
	From tblblogentriesrelated
</cfquery>
<cfif getRels.RecordCount>
	<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#" name="getNewEntries">
		Select old_id, entry_id
		From onessBlog_entries
		Where old_id in (<cfqueryparam cfsqltype="CF_SQL_VARCHAR" list="Yes" value="#ValueList(getRels.entryid, ',')#">)
			or old_id in (<cfqueryparam cfsqltype="CF_SQL_VARCHAR" list="Yes" value="#ValueList(getRels.relatedid, ',')#">)
	</cfquery>
	<cfloop query="getRels">
		<cfquery name="getE1" dbtype="query">
			Select entry_id
			From getNewEntries
			Where old_id = '#entryid#'
		</cfquery>
		<cfquery name="getE2" dbtype="query">
			Select entry_id
			From getNewEntries
			Where old_id = '#relatedid#'
		</cfquery>
		<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
			Insert Into onessBlog_rel_entry_entry (entry_id1, entry_id2)
			Values (#getE1.entry_id#, #getE2.entry_id#)
		</cfquery>
	</cfloop>
</cfif>

<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
	Update onessBlog_categories
	Set
		entries_num = (
						Select count(distinct e.entry_id) 
						From onessBlog_entries as e inner join
							onessBlog_rel_entry_category as rec on e.entry_id = rec.entry_id
						Where (rec.cat_id = onessBlog_categories.cat_id)
	)
</cfquery>

<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getBlogSubscribers">
	Select distinct email, GetDate() as dt, token, verified
	From tblBlogSubscribers
</cfquery>
<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
	<cfoutput query="getBlogSubscribers">
		Insert Into onessBlog_subscribers (email, dateAdded, tkn, isConfirmed)
		Values ('#email#', '#dt#', '#token#', #verified#)
	</cfoutput>
</cfquery>

<cfquery datasource="#request.dsnexport#" username="#request.dsnExportUsername#" password="#request.dsnExportPasswd#" name="getBlogPages">
	Select title, alias, body, GetDate() as dt, 1, id, alias
	From tblblogpages
</cfquery>
<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
	<cfoutput query="getBlogPages">
		Insert Into onessBlog_staticPages (title, alias, page, dateAdded, isActive, position, menuName)
		Values ('#title#', '#alias#', '#body#', '#dt#', 1, #CurrentRow#, '#alias#')
	</cfoutput>
</cfquery>

<cfoutput query="getBlogSearch">
	Insert Into onessBlog_searchStats (srch, dateAdded)
	Select searchterm, searched
	From tblBlogSearchStats
	Where searchterm not like '%search.cfm%'
</cfoutput>


<cfquery datasource="#request.dsnimport#" username="#request.dsnInportUsername#" password="#request.dsnInportPasswd#">
	Alter Table onessBlog_categories Drop Column old_catID
	Alter Table onessBlog_entries Drop Column old_ID
</cfquery>

