<cfcomponent output="true">
	<cffunction name="cacheInit" output="No" returntype="any">
		<cfargument name="scope" default="application">
		<cfset this.scope = scope>
		<cfreturn this>
	</cffunction>

	<cffunction name="cacheGetScope" output="No" returntype="any">
		<cfreturn this.scope>
	</cffunction>

	<cffunction name="cacheSetElement" returntype="any" access="public" output="true">
		<cfargument name="key" type="string" required="true"/>
		<cfargument name="keyVal" type="any"    required="true"/>
		<cfset var arrStruct = ListToArray(key, ".")>
		<cfset var arrLen = ArrayLen(arrStruct)>
		<cfset var currentStr = "">
		<cfset var el = 1>
		<cfif ListLen(key, ".") eq 1>
			<cfset "#this.scope#.#key#" = keyVal>
		<cfelse>
			<cfloop index="el" from="1" to="#arrLen-1#">
				<cfif el eq 1>
					<cfif not StructKeyExists(Evaluate(this.scope), arrStruct[1])>
						<cfset "#this.scope#.#arrStruct[1]#" = StructNew()>
					</cfif>
				<cfelse>
					<cfif not StructKeyExists(Evaluate("#this.scope#.#currentStr#"), arrStruct[el])>
						<cfset "#this.scope#.#currentStr#.#arrStruct[el]#" = StructNew()>
					</cfif>
				</cfif>
				<cfset currentStr = ListAppend(currentStr, arrStruct[el], ".")>
			</cfloop>
			<cfif StructKeyExists(Evaluate("#this.scope#.#currentStr#"), arrStruct[arrLen])>
				<cfset StructDelete(Evaluate("#this.scope#.#currentStr#"), arrStruct[arrLen])>
			</cfif>
			<cfparam name="#this.scope#.#key#" default="#keyVal#">
		</cfif>
		<cfreturn true>
	</cffunction>
	
	<cffunction name="cacheGetElement" returntype="any" access="public" output="false">
		<cfargument name="key" type="string" required="true"/>
		<cfset var arrStruct = ListToArray(key, ".")>
		<cfset var arrLen = ArrayLen(arrStruct)>
		<cfset var currentStr = "">
		<cfset var el = 1>
		<cfloop index="el" from="1" to="#arrLen#">
			<cfif el eq 1>
				<cfif not StructKeyExists(Evaluate(this.scope), arrStruct[el])>
					<cfreturn "">
				</cfif>
			<cfelse>
				<cfif not StructKeyExists(Evaluate("#this.scope#.#currentStr#"), arrStruct[el])>
					<cfreturn "">
				</cfif>
			</cfif>
			<cfset currentStr = ListAppend(currentStr, arrStruct[el], ".")>
		</cfloop>
		<cfreturn Evaluate("#this.scope#.#currentStr#")>
	</cffunction>
	
	<cffunction name="cacheRemoveElement" returntype="any" access="public" output="false">
		<cfargument name="key" type="string" required="true"/>
		<cfset var arrStruct = ListToArray(key, ".")>
		<cfset var arrLen = ArrayLen(arrStruct)>
		<cfset var currentStr = "">
		<cfset var el = 1>
		<cfloop index="el" from="1" to="#arrLen-1#">
			<cfif el eq 1>
				<cfif not StructKeyExists(Evaluate(this.scope), arrStruct[el])>
					<cfreturn false>
				</cfif>
			<cfelse>
				<cfif not StructKeyExists(Evaluate("#this.scope#.#currentStr#"), arrStruct[el])>
					<cfreturn false>
				</cfif>
			</cfif>
			<cfset currentStr = ListAppend(currentStr, arrStruct[el], ".")>
		</cfloop>
		<cfset StructDelete(Evaluate("#this.scope#.#currentStr#"), arrStruct[arrLen])>
		<cfreturn true>
	</cffunction>
	
	<cffunction name="cacheShutdown" returntype="any" access="public" output="false">
		<cfargument name="key" type="string" required="true"/>
		<cfset StructClear(this.scope)>
	</cffunction>
</cfcomponent>