<cfcomponent>
	<cffunction name="cacheEntries" output="no" returntype="any">
		<cfset var getEntries = "">
		<cfset var getEntries2 = "">
		<cfset var getEntries3 = "">
		<cfset var getEntries4 = "">
		<cfset var getAllCats = "">
		<cfset var getComments = "">
		<cfset var getCats = "">
		<cfset var getCom = "">
		<cfset var post = "">
		<cfset var i = 1>
		<cfset var j = 1>
		<cfset var found_records = 0>
		<cfstoredproc datasource="#application.dsn#" procedure="sp_getEntries" username="#application.dsnUsername#" password="#application.dsnPassword#">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="1" dbvarname="@from_record">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="#application.postNumb#" dbvarname="@total_records">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="In" value="0" dbvarname="@showAll">
			<cfprocparam cfsqltype="CF_SQL_INTEGER" type="Out" dbvarname="@found_records" variable="found_records">
			
			<cfprocresult resultset="1" name="getEntries2">
		</cfstoredproc>
		<cfset application.cacheObj.cacheSetElement("totalPosts", found_records)>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntries3" datasource="#application.dsn#">
			Select top #application.topEntries# e.entry_id, e.subject, e.message, e.posted, e.enable_comments, e.views, e.posted_by, e.commentsNumb
				, e.alias, e.moderated, a.first_name + ' ' + a.last_name as name, e.IS_ACTIVE, e.UPDATED, e.isCached, e.cachedTill, e.lastAccess, e.periodAccesses
			From onessBlog_entries e, onessBlog_admins a
			Where e.is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				and e.posted_by = a.admin_id
				and e.posted <= GetDate()
			Order by e.views desc
		</cfquery>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntries4" datasource="#application.dsn#">
			Select e.entry_id, e.subject, e.message, e.posted, e.enable_comments, e.views, e.posted_by, e.commentsNumb, e.alias, e.moderated
				, a.first_name + ' ' + a.last_name as name, e.IS_ACTIVE, e.UPDATED, e.isCached, e.cachedTill, e.lastAccess, e.periodAccesses
			From onessBlog_entries e, onessBlog_admins a
			Where e.is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				and e.posted_by = a.admin_id
				and e.posted <= GetDate()
				and e.isCached = 1
				and e.cachedTill >= GetDate()

			Order by e.posted desc
		</cfquery>
		<cfquery name="getEntries" dbtype="query">
			Select *
			From getEntries2
			UNION
			Select *
			From getEntries3
			UNION
			Select *
			From getEntries4
			Order by posted desc
		</cfquery>
		<cfif getEntries.RecordCount>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getComments" datasource="#application.dsn#">
				Select id, entry_id, name, email, link, comment, dateAdded
				From onessBlog_comments
				Where entry_id in (#ValueList(getEntries.entry_id, ",")#)
					and moderated = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				Order by id asc
			</cfquery>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getAllCats" datasource="#application.dsn#">
				Select c.cat_name, c.cat_alias, rec.entry_id, c.cat_id
				From onessBlog_categories c
					Inner Join onessBlog_rel_entry_category rec ON rec.entry_id in (#ValueList(getEntries.entry_id, ",")#) and rec.cat_id = c.cat_id
			</cfquery>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getAllRelEntries" datasource="#application.dsn#">
				Select distinct r.entry_id1 as entr, e.entry_id, e.alias, e.subject
				From onessBlog_rel_entry_entry r
					Inner Join onessBlog_entries e ON (e.entry_id = r.entry_id2)
				Where r.entry_id1 in (<cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#ValueList(getEntries.entry_id, ',')#">)
				
				UNION
				
				Select distinct r.entry_id2 as entr, e.entry_id, e.alias, e.subject
				From onessBlog_rel_entry_entry r
					Inner Join onessBlog_entries e ON (e.entry_id = r.entry_id1)
				Where r.entry_id2 in (<cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#ValueList(getEntries.entry_id, ',')#">)
			</cfquery>
			<cfloop query="getEntries">
				<cfquery name="getCats" dbtype="query">
					Select cat_name, cat_alias, entry_id, cat_id
					From getAllCats
					Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
				</cfquery>
				<cfquery name="getCom" dbtype="query">
					Select id, entry_id, name, email, link, comment, dateAdded
					From getComments
					Where entry_id = #entry_id#
				</cfquery>
				<cfquery name="getRelEntries" dbtype="query">
					Select entr, entry_id, alias, subject
					From getAllRelEntries
					Where entr = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
						and entry_id <> <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#entry_id#">
				</cfquery>
				<cfset post = StructNew()>
				<cfset post.relatedEntriesID = ValueList(getRelEntries.entry_id, ",")>
				<cfset post.relatedEntriesAlias = ValueList(getRelEntries.alias, Chr(10))>
				<cfset post.relatedEntriesSubject = ValueList(getRelEntries.subject, Chr(10))>
				<cfset post.alias = alias>
				<cfset post.title = subject>
				<cfset post.content = message>
				<cfset post.enable_comments = enable_comments>
				<cfset post.viewsNumb = views>
				<cfset post.author = name>
				<cfset post.date = posted>
				<cfset post.id = entry_id>
				<cfset post.moderated = moderated>
				<cfset post.commentsNumb = commentsNumb>
				<cfset post.cachedTill = cachedTill>
				<cfset post.lastAccess = lastAccess>
				<cfset post.periodAccesses = periodAccesses>
				<cfset post.categories = ValueList(getCats.cat_name, Chr(1))>
				<cfset post.categoriesAlias = ValueList(getCats.cat_alias, Chr(1))>
				<cfset post.categoriesIDs = ValueList(getCats.cat_id, ",")>
				<cfset post.commentsList = "">
				<cfif getCom.RecordCount>
					<cfset post.comments = StructNew()>
					<cfloop index="i" from="1" to="#Min(application.commentsNumb, getCom.RecordCount)#">
						<cfset j = getCom.id[i]>
						<cfset post.commentsList = ListAppend(post.commentsList, j, ",")>
						<cfset post.comments[j] = StructNew()>
						<cfset post.comments[j].name = getCom.name[i]>
						<cfset post.comments[j].email = getCom.email[i]>
						<cfset post.comments[j].link = getCom.link[i]>
						<cfset post.comments[j].comment = getCom.comment[i]>
						<cfset post.comments[j].dateAdded = getCom.dateAdded[i]>
					</cfloop>
				<cfelse>
					<cfset post.comments = "">
				</cfif>
				<cfset application.cacheObj.cacheSetElement("posts.#entry_id#", post)>
			</cfloop>
			<cfset application.cacheObj.cacheSetElement("lastPostsList", ValueList(getEntries2.entry_id, ","))>
			<cfset application.cacheObj.cacheSetElement("postsList", ValueList(getEntries.entry_id, ","))>
		<cfelse>
			<cfset application.cacheObj.cacheSetElement("postsList", "")>
		</cfif>
	</cffunction>

	<cffunction name="cachePods" output="No" returntype="any">
		<cfset var getPods = "">
		<cfset var podsLeftList = ArrayNew(1)>
		<cfset var podsRightList = ArrayNew(1)>
		<cfset var podsBottomList = ArrayNew(1)>
		<cfset var pod = "">
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPods" datasource="#application.dsn#">
			Select id, podTitle, podSource, podSide, isCached, timeout, timeoutFormat, isActive, position, title_image
			From onessBlog_pods
			Where isActive = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			Order by position asc
		</cfquery>
		<!---
		<cfset application.cacheObj.cacheSetElement("podsLeft.list", ArrayNew(1))>
		<cfset application.cacheObj.cacheSetElement("podsRight.list", ArrayNew(1))>
		--->
		<cfloop query="getPods">
			<cfset pod = StructNew()>
			<cfset pod.isCached = isCached>
			<cfset pod.title = podTitle>
			<cfset pod.title_image = title_image>
			<cfset pod.source = podSource>
			<cfset pod.timeout = timeout>
			<cfset pod.timeoutFormat = timeoutFormat>
			<cfset pod.expiresOn = DateAdd(timeoutFormat, timeout, Now())>
			<cfif isCached>
				<cfsavecontent variable="contentRez"><cfmodule template="../../admin/pods/#podSource#"></cfsavecontent>
			<cfelse>
				<cfset contentRez = "">
			</cfif>
			<cfset pod.content = contentRez>
			<cfif podSide eq "left">
				<cfset application.cacheObj.cacheSetElement("podsLeft.#id#", pod)>
				<cfset podsLeftList[position] = id>
			<cfelseif podSide eq "right">
				<cfset application.cacheObj.cacheSetElement("podsRight.#id#", pod)>
				<cfset podsRightList[position] = id>
			<cfelse>
				<cfset application.cacheObj.cacheSetElement("podsBottom.#id#", pod)>
				<cfset podsBottomList[position] = id>
			</cfif>
		</cfloop>
		<cfset application.cacheObj.cacheSetElement("podsLeft.list", podsLeftList)>
		<cfset application.cacheObj.cacheSetElement("podsRight.list", podsRightList)>
		<cfset application.cacheObj.cacheSetElement("podsBottom.list", podsBottomList)>
	</cffunction>

	<cffunction name="cachePodLayout" output="No" returntype="any">
		<cfset var leftPodLayout = StructNew()>
		<cfset var rightPodLayout = StructNew()>

		<cfif FileExists(ExpandPath("#application.layout#/_leftPod.cfm"))>
			<cfsavecontent variable="leftPodVar"><cfinclude template="../../#application.layout#/_leftPod.cfm"></cfsavecontent>
			<cfset leftPodLayout.top = Left(leftPodVar, FindNoCase("[[PODTITLE]]", leftPodVar, 1)-1)>
			<cfset leftPodVar = RemoveChars(leftPodVar, 1, FindNoCase("[[PODTITLE]]", leftPodVar, 1)+11)>
			<cfset leftPodLayout.middle = Left(leftPodVar, FindNoCase("[[PODBODY]]", leftPodVar, 1)-1)>
			<cfset leftPodVar = RemoveChars(leftPodVar, 1, FindNoCase("[[PODBODY]]", leftPodVar, 1)+10)>
			<cfset leftPodLayout.bottom = leftPodVar>
		<cfelse>
			<cfset leftPodLayout.top = "">
			<cfset leftPodLayout.middle = "">
			<cfset leftPodLayout.bottom = "">
		</cfif>
		<cfset application.cacheObj.cacheSetElement("leftPodLayout", leftPodLayout)>

		<cfif FileExists(ExpandPath("#application.layout#/_rightPod.cfm"))>
			<cfsavecontent variable="rightPodVar"><cfinclude template="../../#application.layout#/_rightPod.cfm"></cfsavecontent>
			<cfset rightPodLayout.top = Left(rightPodVar, FindNoCase("[[PODTITLE]]", rightPodVar, 1)-1)>
			<cfset rightPodVar = RemoveChars(rightPodVar, 1, FindNoCase("[[PODTITLE]]", rightPodVar, 1)+11)>
			<cfset rightPodLayout.middle = Left(rightPodVar, FindNoCase("[[PODBODY]]", rightPodVar, 1)-1)>
			<cfset rightPodVar = RemoveChars(rightPodVar, 1, FindNoCase("[[PODBODY]]", rightPodVar, 1)+10)>
			<cfset rightPodLayout.bottom = rightPodVar>
		<cfelse>
			<cfset rightPodLayout.top = "">
			<cfset rightPodLayout.middle = "">
			<cfset rightPodLayout.bottom = "">
		</cfif>
		<cfset application.cacheObj.cacheSetElement("rightPodLayout", rightPodLayout)>

		<cfif FileExists(ExpandPath("#application.layout#/_bottomPod.cfm"))>
			<cfsavecontent variable="bottomPodVar"><cfinclude template="../../#application.layout#/_bottomPod.cfm"></cfsavecontent>
			<cfset bottomPodLayout.top = Left(bottomPodVar, FindNoCase("[[PODTITLE]]", bottomPodVar, 1)-1)>
			<cfset bottomPodVar = RemoveChars(bottomPodVar, 1, FindNoCase("[[PODTITLE]]", bottomPodVar, 1)+11)>
			<cfset bottomPodLayout.middle = Left(bottomPodVar, FindNoCase("[[PODBODY]]", bottomPodVar, 1)-1)>
			<cfset bottomPodVar = RemoveChars(bottomPodVar, 1, FindNoCase("[[PODBODY]]", bottomPodVar, 1)+10)>
			<cfset bottomPodLayout.bottom = bottomPodVar>
		<cfelse>
			<cfset bottomPodLayout.top = "">
			<cfset bottomPodLayout.middle = "">
			<cfset bottomPodLayout.bottom = "">
		</cfif>
		<cfset application.cacheObj.cacheSetElement("bottomPodLayout", bottomPodLayout)>
	</cffunction>

	<cffunction name="cacheBadWords" output="No" returntype="any">
		<cfset var getAllBadWords = "">
		<cffile action="read" file="#request.path2site#\ini\badWords.ini.cfm" variable="getAllBadWords">
		<cfset application.cacheObj.cacheSetElement("badWords", Replace(getAllBadWords, "#Chr(13)##Chr(10)#", ",", "All"))>
	</cffunction>

	<cffunction name="cacheBadIPs" output="No" returntype="any">
		<cfset var getAllBadIPs = "">
		<cffile action="read" file="#request.path2site#\ini\badIPs.ini.cfm" variable="getAllBadIPs">
		<cfset application.cacheObj.cacheSetElement("badIPs", Replace(getAllBadIPs, "#Chr(13)##Chr(10)#", ",", "All"))>
	</cffunction>

	<cffunction name="cacheSmiles" output="No" returntype="any">
		<cfset var getAllSmiles = "">
		<cfquery name="getAllSmiles" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			Select smile, smile_image
			From onessBlog_smiles
			Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
		</cfquery>
		<cfset application.cacheObj.cacheSetElement("smiles", ValueList(getAllSmiles.smile, Chr(10)))>
		<cfset application.cacheObj.cacheSetElement("smilesImages", ValueList(getAllSmiles.smile_image, Chr(10)))>
	</cffunction>

	<cffunction name="cacheStaticPages" output="No" returntype="any">
		<cfset var getStaticPages = "">
		<cfset var sPage = "">
		<cfquery name="getStaticPages" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			Select id, title, alias, page, cachedTill
			From onessBlog_staticPages
			Where isActive = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				and isCached = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
				and cachedTill >= GetDate()
		</cfquery>
		<cfloop query="getStaticPages">
			<cfset sPage = StructNew()>
			<cfset sPage.title = title>
			<cfset sPage.page = page>
			<cfset sPage.cachedTill = cachedTill>
			<cfset application.cacheObj.cacheSetElement("staticPage.#id#", sPage)>
		</cfloop>
	</cffunction>
</cfcomponent>
