<cfcomponent>
	<cffunction name="getViewsComments" output="false" returnType="any">
		<cfset var views_comments = StructNew()>
		<cfset var getMaxViewsComments = "">
		<cfquery name="getMaxViewsComments" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
			Select Max(views) as maxView, Max(commentsNumb) as maxComments
			From onessBlog_entries
			Where is_active = 1
				and posted <= GetDate()
		</cfquery>
		<cfset views_comments.views = Val(getMaxViewsComments.maxView)>
		<cfset views_comments.comments = Val(getMaxViewsComments.maxComments)>
		<cfreturn views_comments>
	</cffunction>

	<cffunction name="fixCodeTag" output="false" returnType="string" access="public">
		<cfargument name="dataString" type="string" required="true">
		<cfset var data = Trim(arguments.dataString)>
		<cfset data = ReplaceNoCase(data, "<", "&lt;", "ALL")>
		<cfset data = ReplaceNoCase(data, ">", "&gt;", "ALL")>
		<cfset data = Replace(data, Chr(13), "<br />", "All")>
		<cfset data = Replace(data, Chr(9), "&nbsp;&nbsp;&nbsp;", "All")>
		<cfset data = "[[code]]" & data &  "[[/code]]">
		<cfreturn data>
	</cffunction>

	<cffunction name="renderEntry" returntype="string" output="No">
		<!--- taken From Ray Camden's blogCFC and a bit changed --->
		<cfargument name="string" type="string" required="true">
		<cfargument name="printformat" type="boolean" required="false" default="false">
		<cfset var counter = 0>
		<cfset var codeblock = "">
		<cfset var codeportion = "">
		<cfset var style = "">
		<cfset var result = "">
		<cfset newbody = "">
		<!--- Check for code blocks --->
		<cfif findNoCase("<code>", arguments.string) and findNoCase("</code>", arguments.string)>
			<cfset counter = findNoCase("<code>", arguments.string)>
			<cfloop condition="counter gte 1">
                <cfset codeblock = reFindNoCase("(?s)(.*)(<code>)(.*)(</code>)(.*)", arguments.string,1,1)> 
				<cfif arrayLen(codeblock.len) gte 6>
                    <cfset codeportion = mid(arguments.string, codeblock.pos[4], codeblock.len[4])>
                    <cfif len(trim(codeportion))>
						<cfif arguments.printformat>
							<cfset style = "codePrint">
						<cfelse>
							<cfset style = "code">
						</cfif>	
						<cfset result = fixCodeTag(codeportion)>
					<cfelse>
						<cfset result = "">
					</cfif>
					<cfset newbody = mid(arguments.string, 1, codeblock.len[2]) & result & mid(arguments.string,codeblock.pos[6],codeblock.len[6])>
	
                    <cfset arguments.string = newbody>
					<cfset counter = findNoCase("<code>",arguments.string,counter)>
				<cfelse>
					<!--- bad crap, maybe <code> and no ender, or maybe </code><code> --->
					<cfset counter = 0>
				</cfif>
			</cfloop>
		</cfif>
		<cfset arguments.string = Replace(arguments.string, "[[code]]", "<code>", "All") />
		<cfset arguments.string = Replace(arguments.string, "[[/code]]", "</code>", "All") />
		<cfreturn xhtmlParagraphFormat(Replace(arguments.string, Chr(13), "<br/>", "All"))>
	</cffunction>

	<cffunction name="XHTMLParagraphFormat" returntype="string" output="false">
		<!--- taken From Ray Camden's blogCFC --->
		<cfargument name="strTextBlock" required="true" type="string" />
		<cfreturn REReplace("<p>" & arguments.strTextBlock & "</p>", "\r+\n\r+\n", "</p><p>", "ALL") />
	</cffunction>

	<cffunction name="smilesConverter" returnType="string" output="false" hint="Convert the smile ASCII Codes to images.">
		<cfargument name="txt" type="any">
		<cfset var i = "">
		<cfset var smiles = application.cacheObj.cacheGetElement("smiles")>
		<cfset var smilesImages = application.cacheObj.cacheGetElement("smilesImages")>
		<cfset var smilesListLen = ListLen(smiles, Chr(10))>
		<cfloop index="i" from="1" to="#smilesListLen#">
			<cfset txt = ReplaceNoCase(txt, ListGetAt(smiles, i, Chr(10)), '<img src="images/smiles/#ListGetAt(smilesImages, i, Chr(10))#" border="0">', "All")>
		</cfloop>
		<cfreturn txt>
	</cffunction>

	<cffunction name="getActiveDays" returnType="string" output="false" hint="Returns a list of days with Entries.">
		<cfargument name="year" type="numeric" required="true">
		<cfargument name="month" type="numeric" required="true">
		
		<cfset var dtMonth = CreateDateTime(arguments.year, arguments.month, 1, 0, 0, 0)>
		<cfset var dtEndOfMonth = CreateDateTime(arguments.year, arguments.month, daysInMonth(dtMonth), 23, 59, 59)>
		<cfset var getDays = "">

		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#" name="getDays">
			Select distinct DatePart(dd, DateAdd(hh, #application.offset#, posted)) as posted_day
			From onessBlog_entries
			Where DateAdd(hh, #application.offset#, posted) >= <cfqueryparam value="#dtMonth#" cfsqltype="CF_SQL_TIMESTAMP">
				and DateAdd(hh, #application.offset#, posted) <= <cfqueryparam value="#dtEndOfMonth#" cfsqltype="CF_SQL_TIMESTAMP">
				and	DateAdd(hh, #application.offset#, posted) < <cfqueryparam cfsqltype="cf_sql_timestamp" value="#DateAdd('h', application.offset, Now())#">
				and	is_active = 1
				and posted <= GetDate()
		</cfquery>
		<cfreturn valueList(getDays.posted_day)>
	</cffunction>

	<cffunction name="isIndex" output="No" returntype="any">
		<cfif ListFindNoCase("slideshow.cfm,index.cfm,login.cfm,rss.cfm,import.cfm", ListLast(cgi.script_name, "/"), ",") eq 0
				and ListLen(cgi.script_name, "/") gt 1 and ListFindNoCase("pods", ListGetAt(cgi.script_name, ListLen(cgi.script_name, "/")-1, "/"), ",") eq 0>
			<cflocation addtoken="No" url="index.cfm">
		</cfif>
		<cfreturn true>
	</cffunction>

	<cffunction name="paging" output="No">
		<cfargument name="foundRecords" required="Yes" type="numeric">
		<cfargument name="recordsPerPage" required="Yes" type="numeric">
		<cfargument name="fromRecord" required="Yes" type="numeric">
		<cfargument name="qst" required="Yes" type="string">
		<cfargument name="varFRecord" required="Yes" type="string">
		
		<cfargument name="pagesPerBlock" default="5" type="numeric">
		<cfargument name="maxViewablePages" default="30" type="numeric">
		
		<cfset var totalPages = 0>
		<cfset var middleBlockPage = 0>
		<cfset var currentBlockPage = 0>
		<cfset var BlockLeft = 0>
		<cfset var BlockRight = 0>
		<cfset var c = 0>
		<cfset var result = "">

		<cfif Val(recordsPerPage) lte 0><cfreturn "Bad recordsPerPage"></cfif>
		<cfset totalPages = ceiling(Val(foundRecords) / Val(recordsPerPage))>
		<cfset middleBlockPage = int(totalPages / 2)>
		<cfset currentBlockPage = (Val(fromRecord) - 1) / Val(recordsPerPage) + 1>
		<cfset BlockLeft = int(Val(pagesPerBlock) / 2)>
		<cfset BlockRight = int(Val(pagesPerBlock) / 2)>
	
		<cfsavecontent variable="result">
			<cfif currentBlockPage neq 1>
				<cfoutput><a href="#qst#&#varFRecord#=#(currentBlockPage - 2)*recordsPerPage+1#">Previous</a>&nbsp;</cfoutput>
			</cfif>
			<cfif totalPages gt MaxViewablePages>
				<cfif currentBlockPage - BlockLeft gt pagesPerBlock + 1>
					<cfloop index="c" from="1" to="#pagesPerBlock#">
						<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
					</cfloop>
					<cfoutput>...&nbsp;</cfoutput>
					<cfif middleBlockPage - blockLeft gt currentBlockPage + blockRight + 1>
						<cfloop index="c" from="#currentBlockPage - blockLeft#" to="#currentBlockPage + blockRight#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
						<cfoutput>&nbsp;...&nbsp;</cfoutput>
						<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfloop>
					<cfelseif (middleBlockPage - blockLeft lte currentBlockPage + blockRight + 1) and (currentBlockPage - blockLeft lte middleBlockPage + blockRight + 1)>
						<cfif currentBlockPage lte middleBlockPage>
							<cfset blockStart = currentBlockPage - blockLeft>
							<cfset blockEnd = middleBlockPage + blockRight>
						<cfelse>
							<cfset blockStart = middleBlockPage - blockLeft>
							<cfset blockEnd = currentBlockPage + blockRight>
						</cfif>
						<cfloop index="c" from="#blockStart#" to="#blockEnd#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfloop>
					<cfelseif (currentBlockPage - blockLeft gt middleBlockPage + blockRight + 1) and (currentBlockPage + blockRight lt totalPages - pagesPerBlock - 1)>
						<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#currentBlockPage - blockLeft#" to="#currentBlockPage + blockRight#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfloop>
					<cfelse>
						<cfif currentBlockPage - BlockLeft lte totalPages - pagesPerBlock>
							<cfset blockStart = currentBlockPage - blockLeft>
							<cfset blockEnd = totalPages>
						<cfelse>
							<cfset blockStart = totalPages - pagesPerBlock + 1>
							<cfset blockEnd = totalPages>
						</cfif>
						<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#blockStart#" to="#blockEnd#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
					</cfif>
				<cfelse>
					<cfif currentBlockPage + BlockRight gte pagesPerBlock>
						<cfset blockStart = 1>
						<cfset blockEnd = currentBlockPage + BlockRight>
					<cfelse>
						<cfset blockStart = 1>
						<cfset blockEnd = pagesPerBlock>
					</cfif>
					<cfloop index="c" from="#blockStart#" to="#blockEnd#">
						<cfif c eq currentBlockPage>
							<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
						<cfelse>
							<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
						</cfif>
					</cfloop>
					<cfoutput>...&nbsp;</cfoutput>
					<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
						<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
					</cfloop>
					<cfoutput>...&nbsp;</cfoutput>
					<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
						<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
					</cfloop>
				</cfif>
			<cfelse>
				<cfloop index="c" from="1" to="#totalPages#">
					<cfif c eq currentBlockPage>
						<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
					<cfelse>
						<cfoutput><a href="#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#">#c#</a>&nbsp;</cfoutput>
					</cfif>
				</cfloop>
			</cfif>
			<cfif currentBlockPage neq totalPages>
				<cfoutput><a href="#qst#&#varFRecord#=#currentBlockPage*recordsPerPage+1#">Next</a>&nbsp;</cfoutput>
			</cfif>
		</cfsavecontent>
		<cfreturn result>
	</cffunction>

	<cffunction name="pagingAJAX" output="No">
		<cfargument name="foundRecords" required="Yes" type="any">
		<cfargument name="recordsPerPage" required="Yes" type="any">
		<cfargument name="fromRecord" required="Yes" type="any">
		<cfargument name="qst" required="Yes" type="any">
		<cfargument name="varFRecord" required="Yes" type="any">
		
		<cfargument name="pagesPerBlock" default="5" type="any">
		<cfargument name="maxViewablePages" default="30" type="any">
		
		<cfargument name="elementID" default="comments" type="any">
		
		<cfset var totalPages = 0>
		<cfset var middleBlockPage = 0>
		<cfset var currentBlockPage = 0>
		<cfset var BlockLeft = 0>
		<cfset var BlockRight = 0>
		<cfset var c = 0>
		<cfset var result = "">

		<cfif Val(recordsPerPage) lte 0><cfreturn "Bad recordsPerPage"></cfif>
		<cfset totalPages = ceiling(Val(foundRecords) / Val(recordsPerPage))>
		<cfset middleBlockPage = int(totalPages / 2)>
		<cfset currentBlockPage = (Val(fromRecord) - 1) / Val(recordsPerPage) + 1>
		<cfset BlockLeft = int(Val(pagesPerBlock) / 2)>
		<cfset BlockRight = int(Val(pagesPerBlock) / 2)>
	
		<cfsavecontent variable="result">
			<cfif currentBlockPage neq 1>
				<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(currentBlockPage - 2)*recordsPerPage+1#', '#elementID#')">Previous</a>&nbsp;</cfoutput>
			</cfif>
			<cfif totalPages gt MaxViewablePages>
				<cfif currentBlockPage - BlockLeft gt pagesPerBlock + 1>
					<cfloop index="c" from="1" to="#pagesPerBlock#">
						<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
					</cfloop>
					<cfoutput>...&nbsp;</cfoutput>
					<cfif middleBlockPage - blockLeft gt currentBlockPage + blockRight + 1>
						<cfloop index="c" from="#currentBlockPage - blockLeft#" to="#currentBlockPage + blockRight#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
						<cfoutput>&nbsp;...&nbsp;</cfoutput>
						<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfloop>
					<cfelseif (middleBlockPage - blockLeft lte currentBlockPage + blockRight + 1) and (currentBlockPage - blockLeft lte middleBlockPage + blockRight + 1)>
						<cfif currentBlockPage lte middleBlockPage>
							<cfset blockStart = currentBlockPage - blockLeft>
							<cfset blockEnd = middleBlockPage + blockRight>
						<cfelse>
							<cfset blockStart = middleBlockPage - blockLeft>
							<cfset blockEnd = currentBlockPage + blockRight>
						</cfif>
						<cfloop index="c" from="#blockStart#" to="#blockEnd#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfloop>
					<cfelseif (currentBlockPage - blockLeft gt middleBlockPage + blockRight + 1) and (currentBlockPage + blockRight lt totalPages - pagesPerBlock - 1)>
						<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#currentBlockPage - blockLeft#" to="#currentBlockPage + blockRight#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfloop>
					<cfelse>
						<cfif currentBlockPage - BlockLeft lte totalPages - pagesPerBlock>
							<cfset blockStart = currentBlockPage - blockLeft>
							<cfset blockEnd = totalPages>
						<cfelse>
							<cfset blockStart = totalPages - pagesPerBlock + 1>
							<cfset blockEnd = totalPages>
						</cfif>
						<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfloop>
						<cfoutput>...&nbsp;</cfoutput>
						<cfloop index="c" from="#blockStart#" to="#blockEnd#">
							<cfif c eq currentBlockPage>
								<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
							<cfelse>
								<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
							</cfif>
						</cfloop>
					</cfif>
				<cfelse>
					<cfif currentBlockPage + BlockRight gte pagesPerBlock>
						<cfset blockStart = 1>
						<cfset blockEnd = currentBlockPage + BlockRight>
					<cfelse>
						<cfset blockStart = 1>
						<cfset blockEnd = pagesPerBlock>
					</cfif>
					<cfloop index="c" from="#blockStart#" to="#blockEnd#">
						<cfif c eq currentBlockPage>
							<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
						<cfelse>
							<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
						</cfif>
					</cfloop>
					<cfoutput>...&nbsp;</cfoutput>
					<cfloop index="c" from="#middleBlockPage - blockLeft#" to="#middleBlockPage + blockRight#">
						<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
					</cfloop>
					<cfoutput>...&nbsp;</cfoutput>
					<cfloop index="c" from="#totalPages - pagesPerBlock + 1#" to="#totalPages#">
						<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
					</cfloop>
				</cfif>
			<cfelse>
				<cfloop index="c" from="1" to="#totalPages#">
					<cfif c eq currentBlockPage>
						<cfoutput><strong>#c#</strong>&nbsp;</cfoutput>
					<cfelse>
						<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#(c-1)*recordsPerPage+1#', '#elementID#')">#c#</a>&nbsp;</cfoutput>
					</cfif>
				</cfloop>
			</cfif>
			<cfif currentBlockPage neq totalPages>
				<cfoutput><a href="javascript:makeGETRequest('#qst#&#varFRecord#=#currentBlockPage*recordsPerPage+1#', '#elementID#')">Next</a>&nbsp;</cfoutput>
			</cfif>
		</cfsavecontent>
		<cfreturn result>
	</cffunction>
</cfcomponent>