<cfparam name="id" default="0">
<cfparam name="name" default="">
<cfparam name="email" default="">
<cfparam name="link" default="">
<cfparam name="comment" default="">
<cfparam name="rememberMe" default="0">
<cfparam name="subscribe" default="0">
<cfparam name="captchaText" default="">
<cfparam name="title" default="">
<cfset errMsg = "">

<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getThisEntry" datasource="#application.dsn#">
	Select e.enable_comments, e.is_active, e.moderated, a.email, e.alias
	From onessBlog_entries e, onessBlog_admins a
	Where e.entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
		and e.is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
		and e.posted <= GetDate()
		and e.posted_by = a.admin_id
</cfquery>

<cfif getThisEntry.RecordCount eq 0 or not getThisEntry.is_active>
	<cfset errMsg = ListAppend(errMsg, "No such entry exists or the entry is not active", "|")>
<cfelse>
	<cfif Len(Trim(name)) eq 0>
		<cfset errMsg = ListAppend(errMsg, "Please enter your Name", "|")>
	</cfif>
	<cfif Len(email) and not IsValid("email", Left(email, 150))>
		<cfset errMsg = ListAppend(errMsg, "Please enter valid Email Address", "|")>
	</cfif>
	<cfif Len(link) and not IsValid("URL", Left(link, 150))>
		<cfset errMsg = ListAppend(errMsg, "Please enter valid Website", "|")>
	</cfif>
	<cfif Len(Trim(comment)) eq 0>
		<cfset errMsg = ListAppend(errMsg, "Please enter your comment", "|")>
	</cfif>
	<cfif application.useCaptcha>
		<cfif Len(captchaText) eq 0>
			<cfset errMsg = ListAppend(errMsg, "Please enter the Captcha text", "|")>
		<cfelseif not application.captcha.validateCaptcha(captchaHash, captchaText)>
			<cfset errMsg = ListAppend(errMsg, "The captcha text you have entered is incorrect", "|")>
		</cfif>
	</cfif>
	<cfset getAllBadIPs = application.cacheObj.cacheGetElement("badIPs")>
	<cfif Len(cgi.remote_addr) and ListFind(getAllBadIPs, cgi.remote_addr, ",")>
		<cfset errMsg = ListAppend(errMsg, "Comment blocked", "|")>
	<cfelse>
		<cfset getAllBadWords = application.cacheObj.cacheGetElement("badWords")>
		<cfloop index="badWord" list="#getAllBadWords#" delimiters="|">
			<cfif FindNoCase(badWord, name, 1) or FindNoCase(badWord, email, 1) or FindNoCase(badWord, link, 1) or FindNoCase(badWord, comment, 1)>
				<cfset errMsg = ListAppend(errMsg, "Comment blocked for spam", "|")>
				<cfbreak>
			</cfif>
		</cfloop>
	</cfif>
</cfif>

<cfif Len(errMsg) eq 0>
	<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#id#/#getThisEntry.alias#">
	<cfif Val(id) and getThisEntry.is_active>
		<cfif Val(getThisEntry.moderated) eq 1>
			<cfset moderated = 0>
		<cfelse>
			<cfset moderated = 1>
		</cfif>
		<cfset uuid = CreateUUID()>
		<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="ins" datasource="#application.dsn#">
			SET NOCOUNT ON
			Insert Into onessBlog_comments (entry_id, name, email, link, comment, dateAdded, subscribe, moderated, tkn)
			Values (#Val(id)#, '#HTMLEditFormat(Left(name, 50))#', '#HTMLEditFormat(Left(email, 100))#', '#HTMLEditFormat(Left(link, 150))#', '#comment#', GetDate(), #Subscribe#, #moderated#, '#uuid#')
			Select @@identity as id
			SET NOCOUNT OFF
		</cfquery>
		<cfif Val(getThisEntry.moderated) eq 0>
			<cfset trigComment = GetProfileString("#request.path2site#\ini\config.ini.cfm", "triggers", "trigComment")>
			<cfif Len(trigComment)>
				<cfhttp url="#application.burl#/index.cfm?action=triggers&pods=#trigComment#" username="#application.urlUserName#" password="#application.urlPassword#" method="GET" timeout="1"/>
			</cfif>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="upd" datasource="#application.dsn#">
				Update onessBlog_entries
				Set commentsNumb = commentsNumb + 1
				Where entry_id = #id#
			</cfquery>
			<cfset post = application.cacheObj.cacheGetElement("posts.#Val(id)#")>
			<cfif IsStruct(post)>
				<cfif IsStruct(post.comments)>
					<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getCom" datasource="#application.dsn#">
						Select id, entry_id, name, email, link, comment, dateAdded
						From onessBlog_comments
						Where entry_id = #id#
						Order by id asc
					</cfquery>
					<cfset post.commentsNumb = getCom.RecordCount>
					<cfif getCom.RecordCount lte application.commentsNumb>
						<cfset post.comments[ins.id] = StructNew()>
						<cfset post.comments[ins.id].name = getCom.name[getCom.RecordCount]>
						<cfset post.comments[ins.id].email = getCom.email[getCom.RecordCount]>
						<cfset post.comments[ins.id].link = getCom.link[getCom.RecordCount]>
						<cfset post.comments[ins.id].comment = getCom.comment[getCom.RecordCount]>
						<cfset post.comments[ins.id].dateAdded = getCom.dateAdded[getCom.RecordCount]>
						<cfset post.commentsList = ListAppend(post.commentsList, ins.id, ",")>
						<cfset application.cacheObj.cacheSetElement("posts.#id#", post)>
					</cfif>
				<cfelse>
					<cfset post.comments = StructNew()>
					<cfset post.comments[ins.id] = StructNew()>
					<cfset post.comments[ins.id].name = name>
					<cfset post.comments[ins.id].email = email>
					<cfset post.comments[ins.id].link = link>
					<cfset post.comments[ins.id].comment = comment>
					<cfset post.comments[ins.id].dateAdded = Now()>
					<cfset post.commentsList = ins.id>
					<cfset post.commentsNumb = 1>
					<cfset application.cacheObj.cacheSetElement("posts.#id#", post)>
				</cfif>
			</cfif>
		</cfif>
		<cfif rememberMe>
			<cfcookie name="name" value="#Trim(HTMLEditFormat(name))#" expires="never">
			<cfcookie name="email" value="#Trim(HTMLEditFormat(email))#" expires="never">
			<cfcookie name="link" value="#Trim(HTMLEditFormat(link))#" expires="never">
		<cfelse>
			<cfcookie name="name" expires="now">
			<cfcookie name="email" expires="now">
			<cfcookie name="link" expires="now">
		</cfif>

		<cfset subj = "Comment added to Blog: #application.title# / Entry: #title#">
		<cfif Val(getThisEntry.moderated) eq 1>
			<cfset subjAdmin = "Comment added to Blog need moderation: #application.title# / Entry: #title#">
		<cfelse>
			<cfset subjAdmin = subj>
		</cfif>
		<cfsavecontent variable="msg">
		<cfoutput>
Blog Entry:       #title#
Comment Added On: #DateFormat(Now(), "mmm dd, yyyy")# / #TimeFormat(Now(), "hh:mm:ss tt")#
Comment Added By: #name# <cfif Len(link)>(#link#)</cfif>
Comment From IP:  #cgi.remote_addr#
URL:              #lnk#

#comment#

<cfif Val(getThisEntry.moderated) eq 1>
NOTE: The comment will be added after review.
</cfif>

------------------------------------------------------------
This blog powered by 1ssBlog
Created by Ed Tabara (1smartsolution@gmail.com)
Unsubscribe: #application.burl#/index.cfm?action=posts.unsubscribe.entry&id=#id#&email=#HTMLEditFormat(email)#
			</cfoutput>
		</cfsavecontent>

		<cfsavecontent variable="msgAdmin">
		<cfoutput>
Blog Entry:       #title#
Comment Added On: #DateFormat(Now(), "mmm dd, yyyy")# / #TimeFormat(Now(), "hh:mm:ss tt")#
Comment Added By: #name# <cfif Len(link)>(#link#)</cfif>
Comment From IP:  #cgi.remote_addr#
URL:              #lnk#

#comment#

<cfif Val(getThisEntry.moderated) eq 1>
NOTE: To allow this comment, login to the backoffice and enable it.
</cfif>

------------------------------------------------------------
This blog powered by 1ssBlog
Created by Ed Tabara (1smartsolution@gmail.com)
			</cfoutput>
		</cfsavecontent>

		<cfif application.mailserver is "">
			<cfmail to="#email#" from="#getThisEntry.email#" subject="#subj#">#Trim(msg)#&tkn=#uuid#</cfmail>
			<cfmail to="#getThisEntry.email#" from="#getThisEntry.email#" subject="#subjAdmin#">#msgAdmin#</cfmail>
		<cfelse>
			<cfmail to="#email#" from="#getThisEntry.email#" subject="#subj#"
				server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#Trim(msg)#&tkn=#uuid#</cfmail>
			<cfmail to="#getThisEntry.email#" from="#getThisEntry.email#" subject="#subjAdmin#"
				server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#msgAdmin#</cfmail>
		</cfif>
		<cfif getThisEntry.moderated eq 1>
			<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getPostEmails" datasource="#application.dsn#">
				Select distinct email as semail, Max(tkn) as tkn
				From onessBlog_comments
				Where id = #ins.id#
					and subscribe = 1
					and email <> '#email#'
			</cfquery>
			<cfloop query="getPostEmails">
				<cfif application.mailserver is "">
					<cfmail to="#semail#" from="#getThisEntry.email#" subject="#subj#">#Trim(msg)#&tkn=#tkn#</cfmail>
				<cfelse>
					<cfmail to="#semail#" from="#getThisEntry.email#" subject="#subj#"
						server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#Trim(msg)#&tkn=#tkn#</cfmail>
				</cfif>
			</cfloop>
		</cfif>
	</cfif>
	<cflocation addtoken="No" url="#lnk#">
</cfif>

