<cfsilent>
	<cfparam name="id" default="0">
	<cfparam name="print" default="false">
	<cfif Val(id)>
		<cfset post = application.cacheObj.cacheGetElement("posts.#Val(id)#")>
		<cfset lastPostsList = application.cacheObj.cacheGetElement("lastPostsList")>
		<cfset getFromDB = true>
		<cfif IsStruct(post)>
			<cfif post.cachedTill eq "" or DateCompare(post.cachedTill, Now()) gte 1>
				<cfset alias = post.alias>
				<cfset title = post.title>
				<cfset id = post.id>
				<cfset content = post.content>
				<cfset date = post.date>
				<cfset author = post.author>
				<cfset cats = post.categories>
				<cfset moderated = post.moderated>
				<cfset catsNumb = ListLen(cats, Chr(1))>
				<cfset catsAlias = post.categoriesAlias>
				<cfset catsIDs = post.categoriesIDs>
				<cfset enable_comments = post.enable_comments>
				<cfset lastAccess = post.lastAccess>
				<cfset periodAccesses = post.periodAccesses>
				<cfset viewsNumb = post.viewsNumb>
				<cfset commentsNumb = post.commentsNumb>
				<cfset relatedEntriesID = post.relatedEntriesID>
				<cfset relatedEntriesAlias = post.relatedEntriesAlias>
				<cfset relatedEntriesSubject = post.relatedEntriesSubject>
				<cfif StructKeyExists(post, "comments")>
					<cfset comments = post.comments>
				<cfelse>
					<cfset comments = "">
				</cfif>
				<cfset commentsList = post.commentsList>
				<cfif not IsDefined("cookie.entry_#id#") and not print>
					<cfcookie name="entry_#id#" value="true" expires="#DateAdd('d', 1, Now())#">
					<cfif not ListFind(lastPostsList, id, ",") and DateCompare(DateAdd(application.periodAccessesType, 1, lastAccess), Now()) lt 1 and periodAccesses lt application.periodAccesses>
						<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="updViews" datasource="#application.dsn#">
							Update onessBlog_entries
							Set views = views + 1
								, lastAccess = GetDate()
								, periodAccesses = 1
							Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
						</cfquery>
						<cfset rmv = application.cacheObj.cacheRemoveElement("posts.#Val(id)#")>
						<cfset postsList = application.cacheObj.cacheGetElement("postsList")>
						<cfset application.cacheObj.cacheSetElement("postsList", ListDeleteAt(postsList, ListFind(postsList, Val(id), ","), ","))>
					<cfelse>
						<cfif periodAccesses gte application.periodAccesses+1>
							<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="updViews" datasource="#application.dsn#">
								Update onessBlog_entries
								Set views = views + 1
									, lastAccess = GetDate()
									, periodAccesses = 1
								Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
							</cfquery>
							<cfset post.periodAccesses = 1>
							<cfset post.viewsNumb = post.viewsNumb + 1>
							<cfset application.cacheObj.cacheSetElement("posts.#Val(id)#", post)>
						<cfelse>
							<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="updViews" datasource="#application.dsn#">
								Update onessBlog_entries
								Set views = views + 1
									, periodAccesses = periodAccesses + 1
								Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
							</cfquery>
							<cfset post.periodAccesses = post.periodAccesses + 1>
							<cfset post.viewsNumb = post.viewsNumb + 1>
							<cfset application.cacheObj.cacheSetElement("posts.#Val(id)#", post)>
						</cfif>
					</cfif>
				</cfif>
				<cfset getFromDB = false>
			<cfelse>
				<cfset rmv = application.cacheObj.cacheRemoveElement("posts.#Val(id)#")>
				<cfset postsList = application.cacheObj.cacheGetElement("postsList")>
				<cfset application.cacheObj.cacheSetElement("postsList", ListDeleteAt(postsList, ListFind(postsList, Val(id), ","), ","))>
			</cfif>
		</cfif>
		<cfif getFromDB>
			<cfif not IsDefined("getEntry")>
				<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntry" datasource="#application.dsn#">
					Select e.entry_id, e.subject, e.message, e.alias, e.enable_comments, e.views, e.posted_by, e.posted, e.is_active, e.commentsNumb, e.moderated, a.first_name + ' ' + a.last_name as name, e.lastAccess, e.periodAccesses, e.cachedTill
					From onessBlog_entries e, onessBlog_admins a
					Where e.entry_id = #Val(id)#
						and e.is_active = 1
						and e.posted <= GetDate()
						and e.posted_by = a.admin_id
				</cfquery>
			</cfif>
			<cfif getEntry.RecordCount>
				<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getCats" datasource="#application.dsn#">
					Select c.cat_name, c.cat_alias, c.cat_id
					From onessBlog_categories c
						Inner Join onessBlog_rel_entry_category rec ON rec.entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#"> and rec.cat_id = c.cat_id
				</cfquery>
				<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getComments" datasource="#application.dsn#">
					Select top #application.commentsNumb# id, comment, link, name, email, dateAdded
					From onessBlog_comments
					Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
						and moderated = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
					Order by id asc
				</cfquery>
				<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getRelEntries" datasource="#application.dsn#">
					Select distinct r.entry_id1 as entr, e.entry_id, e.alias, e.subject
					From onessBlog_rel_entry_entry r
						Inner Join onessBlog_entries e ON (e.entry_id = r.entry_id2)
					Where r.entry_id1 = <cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#id#">
						and e.entry_id <> <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
					
					UNION
					
					Select distinct r.entry_id2 as entr, e.entry_id, e.alias, e.subject
					From onessBlog_rel_entry_entry r
						Inner Join onessBlog_entries e ON (e.entry_id = r.entry_id1)
					Where r.entry_id2 = <cfqueryparam list="Yes" cfsqltype="CF_SQL_INTEGER" value="#id#">
						and e.entry_id <> <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
				</cfquery>
				<cfset relatedEntriesID = ValueList(getRelEntries.entry_id, ",")>
				<cfset relatedEntriesAlias = ValueList(getRelEntries.alias, Chr(10))>
				<cfset relatedEntriesSubject = ValueList(getRelEntries.subject, Chr(10))>
				<cfset alias = getEntry.alias>
				<cfset title = getEntry.subject>
				<cfset id = getEntry.entry_id>
				<cfset content = getEntry.message>
				<cfset date = getEntry.posted>
				<cfset author = getEntry.name>
				<cfset moderated = getEntry.moderated>
				<cfset cats = ValueList(getCats.cat_name, Chr(1))>
				<cfset catsNumb = ListLen(cats, Chr(1))>
				<cfset catsAlias = ValueList(getCats.cat_alias, Chr(1))>
				<cfset catsIDs = ValueList(getCats.cat_id, ",")>
				<cfset enable_comments = getEntry.enable_comments>
				<cfset lastAccess = getEntry.lastAccess>
				<cfset periodAccesses = getEntry.periodAccesses>
				<cfset viewsNumb = Val(getEntry.views)>
				<cfset commentsNumb = Val(getEntry.commentsNumb)>
				<cfif getComments.RecordCount eq 0>
					<cfset comments = "">
				<cfelse>
					<cfset comments = getComments>
				</cfif>
				<cfset commentsList = ValueList(getComments.id, ",")>
				<cfif not IsDefined("cookie.entry_#id#") and not print>
					<cfcookie name="entry_#id#" value="true" expires="#DateAdd('d', 1, Now())#">
					<cfif DateCompare(DateAdd(application.periodAccessesType, 1, lastAccess), Now()) lt 1 and periodAccesses lt application.periodAccesses>
						<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="updViews" datasource="#application.dsn#">
							Update onessBlog_entries
							Set views = views + 1
								, lastAccess = GetDate()
								, periodAccesses = 1
							Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
						</cfquery>
					<cfelse>
						<cfif periodAccesses gte application.periodAccesses - 1>
							<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="updViews" datasource="#application.dsn#">
								Update onessBlog_entries
								Set views = views + 1
									, lastAccess = GetDate()
									, periodAccesses = 1
								Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
							</cfquery>
							<cfset post = StructNew()>
							<cfset post.relatedEntriesID = ValueList(getRelEntries.entry_id, ",")>
							<cfset post.relatedEntriesAlias = ValueList(getRelEntries.alias, Chr(10))>
							<cfset post.relatedEntriesSubject = ValueList(getRelEntries.subject, Chr(10))>
							<cfset post.alias = getEntry.alias>
							<cfset post.title = getEntry.subject>
							<cfset post.content = getEntry.message>
							<cfset post.enable_comments = getEntry.enable_comments>
							<cfset post.viewsNumb = getEntry.views>
							<cfset post.author = getEntry.name>
							<cfset post.date = getEntry.posted>
							<cfset post.id = getEntry.entry_id>
							<cfset post.moderated = getEntry.moderated>
							<cfset post.commentsNumb = getEntry.commentsNumb>
							<cfset post.cachedTill = getEntry.cachedTill>
							<cfset post.lastAccess = getEntry.lastAccess>
							<cfset post.periodAccesses = getEntry.periodAccesses>
							<cfset post.categories = ValueList(getCats.cat_name, Chr(1))>
							<cfset post.categoriesAlias = ValueList(getCats.cat_alias, Chr(1))>
							<cfset post.categoriesIDs = ValueList(getCats.cat_id, ",")>
							<cfset post.commentsList = "">
							<cfif getComments.RecordCount>
								<cfset post.comments = StructNew()>
								<cfloop index="i" from="1" to="#Min(application.commentsNumb, getComments.RecordCount)#">
									<cfset j = getComments.id[i]>
									<cfset post.commentsList = ListAppend(post.commentsList, j, ",")>
									<cfset post.comments[j] = StructNew()>
									<cfset post.comments[j].name = getComments.name[i]>
									<cfset post.comments[j].email = getComments.email[i]>
									<cfset post.comments[j].link = getComments.link[i]>
									<cfset post.comments[j].comment = getComments.comment[i]>
									<cfset post.comments[j].dateAdded = getComments.dateAdded[i]>
								</cfloop>
							<cfelse>
								<cfset post.comments = "">
							</cfif>
							<cfset application.cacheObj.cacheSetElement("posts.#id#", post)>
							<cfset postsList = application.cacheObj.cacheGetElement("postsList")>
							<cfset application.cacheObj.cacheSetElement("postsList", ListAppend(postsList, Val(id), ","))>
						<cfelse>
							<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="updViews" datasource="#application.dsn#">
								Update onessBlog_entries
								Set views = views + 1
									, periodAccesses = periodAccesses + 1
								Where entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#id#">
							</cfquery>
						</cfif>
					</cfif>
				</cfif>
			<cfelse>
				<cfset title = "">
			</cfif>
		</cfif>
	</cfif>
	<cfset viewsComments = application.funcObj.getViewsComments()>
</cfsilent>

<cfif Val(id) and Len(Trim(title))>
	<cfsilent>
		<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#id#/#alias#">
		<cfset left340 = Left(URLEncodedFormat(ReReplace(content, "<[^>]*>", "", "All")), 340)>
	</cfsilent>
	<cfoutput>
		<div class="oneEntry">
			<cfif print>
				<cfheader name="Content-Disposition" value="inline; filename=#alias#.pdf">
				<cfdocument format="pdf">
					<html>
						<body style="background:##FFFFFF">
							<cfdocumentitem type="header">
								<div style="font-size: 8px; text-align: right;">#application.title#: #title#</div>	
							</cfdocumentitem>
							<h1>#title#</h1>
							<div class="postDetails">
								Posted At : #DateFormat(date, "mmm dd, yyyy")# #TimeFormat(date, "H:mm tt")#
								| Posted By : #author#<br/>
								Related Categories:	
								<cfloop index="catsIndx" from="1" to="#catsNumb#">
									<cfset currentCat = ListGetAt(cats, catsIndx, Chr(1))>
									<cfset currentCatAlias = ListGetAt(catsAlias, catsIndx, Chr(1))>
									#currentCat#<cfif catsIndx lt catsNumb>, </cfif>
								</cfloop>
							</div><br />
							<div class="postContent">#application.funcObj.renderEntry(content, true)#</div><br />
							<cfdocumentitem type="footer">
								<div style="font-size: 8px; text-align: right;">#application.title#: #title#</div>	
							</cfdocumentitem>
						</body>
					</html>
				</cfdocument>
			<cfelse>
				<cfhtmlhead text="<title>#application.title#:: Entry - #title#</title>">
				<cfhtmlhead text='<meta name="Description" content="#Left(ReReplace(ReReplace(content, "<[^>]*>", "", "All"), "(\r\n)+", " ", "All"), 250)#" />'>
				<div class="postTitle"><a href="#lnk#">#title#</a></div><br />
				<div class="postDetails">
					Posted At : #DateFormat(date, "mmm dd, yyyy")# #TimeFormat(date, "H:mm tt")#
					| Posted By : #author#<br/>
					Related Categories:	
					<cfloop index="catsIndx" from="1" to="#catsNumb#">
						<cfset currentCat = ListGetAt(cats, catsIndx, Chr(1))>
						<cfset currentCatAlias = ListGetAt(catsAlias, catsIndx, Chr(1))>
						<cfset currentCatID = ListGetAt(catsIDs, catsIndx, ",")>
						<a href="#application.burl#/index.cfm/action:posts.byCat/cat_id:#currentCatID#/#currentCatAlias#">#currentCat#</a><cfif catsIndx lt catsNumb>, </cfif>
					</cfloop>
				</div><br />
				<div class="postContent"><cfif application.entrySmilesConverter>#application.funcObj.renderEntry(application.funcObj.smilesConverter(content))#<cfelse>#application.funcObj.renderEntry(content)#</cfif></div><br />
				
				<cfset entry_id = id>
				<cfinclude template="starRating.cfm">

				<div class="postStats">
				<cfif enable_comments eq 1><img src="images/comment.gif" align="middle" title="Comments" height="16" width="16"/> <a href="#lnk###comments">Comments (#commentsNumb#)</a> | </cfif>
				<cfif application.isColdFusionMX7 and application.allowPrinting><img src="images/printer.gif" align="middle" title="Print" height="16" width="16"/> <a href="index.cfm/action:posts.entry/print:true/id:#id#/#alias#" rel="nofollow" target="_blank">Print</a> | </cfif>
				<img src="images/email.gif" align="middle" title="Send" height="16" width="16"/> <a href="index.cfm/action:posts.send/id:#id#/#alias#" rel="nofollow">Send</a> 
				| #viewsNumb# Views
				<cfif application.popularity> | #Round(100*Val(viewsNumb)/viewsComments.views)#% / #Round(100*Val(commentsNumb)/viewsComments.comments)#% Popularity</cfif>
				</div>
				<cfif application.showSocialTools>
					<div class="socialTools">
						<a target="_blank" href="http://del.icio.us/post?url=#lnk#&title=#alias#" title="del.icio.us"><img border="0" src="images/delicious.png" alt="del.icio.us"/></a>
						<a target="_blank" href="http://digg.com/submit?phase=2&url=#lnk#&title=#alias#" title="Digg"><img border="0" src="images/digg.png" alt="Digg"/></a>
						<a target="_blank" href="http://furl.net/storeIt.jsp?t=#alias#&u=#lnk#" title="Furl"><img border="0" src="images/furl.png" alt="Furl"/></a>
						<a target="_blank" href="http://blinklist.com/index.php?Action=Blink/addblink.php&Name=#alias#&Description=#alias#&Url=#lnk#" title="Blinklist"><img border="0" src="images/blinklist.png" alt="Blinklist"/></a>
						<a target="_blank" href="http://reddit.com/submit?url=#lnk#&title=#alias#" title="Reddit"><img border="0" src="images/reddit.png" alt="Reddit"/></a>
						<a target="_blank" href="http://www.technorati.com/faves?add=#lnk#" title="Technorati"><img border="0" src="images/technorati.png" alt="Technorati"/></a>
						<a target="_blank" href="http://myweb2.search.yahoo.com/myresults/bookmarklet?u=#lnk#&t=#alias#" title="Yahoo My Web"><img border="0" src="images/yahoo_myweb.png" alt="Yahoo My Web"/></a>
						<a target="_blank" href="http://www.newsvine.com/_wine/save?u=#lnk#&h={title" title="Newsvine"><img border="0" src="images/newsvine.png" alt="Newsvine"/></a>
					
						<a target="_blank" href="http://ekstreme.com/socializer/?url=#lnk#&title=#alias#" title="Socializer"><img border="0" src="images/socializer.png" alt="Socializer"/></a>
						<a target="_blank" href="http://ma.gnolia.com/bookmarklet/add?url=#lnk#&title=#alias#&description=#alias#" title="Ma.gnolia"><img border="0" src="images/magnolia.png" alt="Ma.gnolia"/></a>
						<a target="_blank" href="http://www.stumbleupon.com/refer.php?url=#lnk#&title=#alias#" title="Stumble Upon"><img border="0" src="images/stumbleupon.png" alt="Stumble Upon"/></a>
						<a target="_blank" href="http://www.google.com/bookmarks/mark?op=edit&output=popup&bkmk=#lnk#&title=#alias#" title="Google Bookmarks"><img border="0" src="images/google.png" alt="Google Bookmarks"/></a>
						<a target="_blank" href="http://www.rawsugar.com/tagger/?turl=#lnk#&tttl=#alias#" title="RawSugar"><img border="0" src="images/rawsugar.png" alt="RawSugar"/></a>
						<a target="_blank" href="http://www.squidoo.com/lensmaster/bookmark?#lnk#" title="Squidoo"><img border="0" src="images/squidoo.png" alt="Squidoo"/></a>
						<a target="_blank" href="http://www.spurl.net/spurl.php?url=#lnk#&title=#alias#" title="Spurl"><img border="0" src="images/spurl.png" alt="Spurl"/></a>
						<a target="_blank" href="http://blinkbits.com/bookmarklets/save.php?v=1&source_url=#lnk#&title=#alias#" title="BlinkBits"><img border="0" src="images/blinkbits.png" alt="BlinkBits"/></a>
					
						<a target="_blank" href="http://netvouz.com/action/submitBookmark?url=#lnk#&title=#alias#&popup=no" title="Netvouz"><img border="0" src="images/netvouz.png" alt="Netvouz"/></a>
						<a target="_blank" href="http://www.rojo.com/add-subscription/?resource=#lnk#" title="Rojo"><img border="0" src="images/rojo.png" alt="Rojo"/></a>
						<a target="_blank" href="http://blogmarks.net/my/new.php?mini=1&simple=1&url=#lnk#&title=#alias#" title="Blogmarks"><img border="0" src="images/bmarks.png" alt="Blogmarks"/></a>
						<a target="_blank" href="http://co.mments.com/track?url=#lnk#&title=#alias#" title="Co.mments"><img border="0" src="images/comments.png" alt="Co.mments"/></a>
						<a target="_blank" href="http://www.scuttle.org/bookmarks.php/maxpower?action=add&address=#lnk#&title=#alias#&description=#alias#" title="Scuttle"><img border="0" src="images/scuttle.png" alt="Scuttle"/></a>
						<a target="_blank" href="http://feedmelinks.com/categorize?from=toolbar&op=submit&name={title}&url={link}&version=0.7" title="Feed me links"><img border="0" src="images/feedmelinks.png" alt="Feed Me Links"/></a>
						<a target="_blank" href="http://yigg.de/newpost.php?exturl=#lnk#" title="Yigg"><img border="0" src="images/yigg.png" alt="Yigg"/></a>
						<a target="_blank" href="http://www.mister-wong.de/index.php?action=addurl&bm_url=#lnk#&bm_description=#alias#" title="Mr.Wong"><img border="0" src="images/wong.gif" alt="Mr.Wong"/></a>
						<a target="_blank" href="http://slashdot.org/submit.pl?story=#left340#%0D%0D#lnk#&subj=#alias#" rel="nofollow"><img border="0" src="images/slashdot.ico" alt="Slashdot"/></a> 
					</div>
				</cfif>
				<cfif application.showRelatedEntries eq 1>
					<cfset totalRelatedEntries = ListLen(relatedEntriesID, ',')>
					<cfif totalRelatedEntries gt 0>
						<div class="relatedEntries">
							Related entries:<br />
							<cfloop index="i" from="1" to="#totalRelatedEntries#">
								<a href="#application.burl#/index.cfm/action:posts.entry/id:#ListGetAt(relatedEntriesID, i, ',')#/#ListGetAt(relatedEntriesAlias, i, Chr(10))#">#ListGetAt(relatedEntriesSubject, i, Chr(10))#</a><cfif i neq totalRelatedEntries><br /></cfif>
							</cfloop>
						</div>
					</cfif>
				</cfif>

				<cfif enable_comments eq 1>
					<div class="commentForm">
						<cfif not IsDefined("errMsg") or Len(errMsg) eq 0>
							<cfsilent>
								<cfif IsDefined("cookie.name")>
									<cfset name = cookie.name>
									<cfset rememberMe = true>
								</cfif>
								<cfif IsDefined("cookie.email")>
									<cfset email = cookie.email>
									<cfset rememberMe = true>
								</cfif>
								<cfif IsDefined("cookie.link")>
									<cfset link = cookie.link>
									<cfset rememberMe = true>
								</cfif>	
								<cfparam name="name" default="">
								<cfparam name="email" default="">
								<cfparam name="link" default="">
								<cfparam name="comment" default="">
								<cfparam name="rememberMe" default="0">
								<cfparam name="subscribe" default="0">
								<cfparam name="captchaText" default="">
							</cfsilent>
						<cfelse>
							<div class="errorMsg">
								<cfloop index="el" list="#errMsg#" delimiters="|">
									<li>#el#</li>
								</cfloop>
							</div>
						</cfif>
						<cfform name="commentFrm" action="index.cfm" method="post">
							<input name="action" type="Hidden" value="posts.addComment" />
							<input name="id" type="Hidden" value="#Val(id)#" />
							<input name="title" type="Hidden" value="#title#" />
							<table border="0">
								<tr>
									<td><label for="name">Name:</label></td>
									<td><cfinput name="name" id="name" type="text" value="#name#" maxlength="50" size="30" required="Yes" message="Please enter your Name" /></td>
								</tr>
								<tr>
									<td><label for="email">Email:</label></td>
									<td><input name="email" id="email" type="text" value="#email#" maxlength="100" size="30" /></td>
								</tr>
								<tr>
									<td><label for="link">Website:</label></td>
									<td><input name="link" id="link" type="text" value="#link#" maxlength="150" size="30" /></td>
								</tr>
								<tr>
									<td colspan="2"><label for="comment">Comment:</label></td>
								</tr>
								<tr>
									<td colspan="2"><cftextarea name="comment" id="comment" rows="7" cols="60" value="#comment#" required="Yes" message="Please enter your comment"></cftextarea></td>
								</tr>
								<cfif application.useCaptcha>
									<cfset captcha = application.captcha.createHashReference() />
									<input type="hidden" name="captchaHash" value="#captcha.hash#" />
									<tr>
										<td><label for="captchaText">  Enter text that you see in the image:</label></td>
										<td><input type="text" name="captchaText" size="6" value="" /></td>
									</tr>
									<tr>
										<td colspan="2"><img src="index.cfm?action=showCaptcha&hashReference=#captcha.hash#" align="right" vspace="5"/></td>
									</tr>
								</cfif>
								<tr>
									<td><label for="rememberMe">Remember my information:</label></td>
									<td><input type="checkbox" id="rememberMe" name="rememberMe" value="1"<cfif rememberMe> checked</cfif> /></td>
								</tr>
								<tr>
									<td><label for="subscribe">Subscribe:</label></td>
									<td><input type="checkbox" id="subscribe" name="subscribe" value="1"<cfif subscribe> checked</cfif> /></td>
								</tr>
								<tr>
									<td colspan="2" align="right"><input type="Submit" value="Submit Comment" /></td>
								</tr>
							</table>
						</cfform>
					</div>
					<div class="comments" id="comments">
						<cfif ListLen(commentsList) lt commentsNumb>
							<div class="nav"><a href="javascript:makeGETRequest('index.cfm?action=posts.nextComments&id=#id#&rnd=#RandRange(1,99999)#&loadContent=true&from_record=#application.commentsNumb+1#', 'comments')">NEXT >></a></div>
						</cfif>
						<div class="commentHeader">Comments </div>
						<cfif IsStruct(comments)>
							<cfset commentsNumbIndx = 0>
							<cfloop index="commentsIndx" list="#commentsList#" delimiters=",">
								<cfset commentsNumbIndx = commentsNumbIndx + 1>
								<div id="comment_#commentsIndx#" <cfif commentsNumbIndx mod 2>class="comment"<cfelse>class="commentAlt"</cfif>>
									<div class="commentBody"><cfif application.useGravatar><img src="http://www.gravatar.com/avatar.php?gravatar_id=#LCase(Hash(comments[commentsIndx].email))#&amp;rating=PG&amp;size=40&amp;default=#application.burl#/images/gravatar.gif" /> </cfif><cfif application.commentSmilesConverter>#application.funcObj.renderEntry(application.funcObj.smilesConverter(comments[commentsIndx].comment))#<cfelse>#application.funcObj.renderEntry(comments[commentsIndx].comment)#</cfif></div>
									<div class="commentByLine">
										<a href="#lnk###comment_#commentsIndx#">##</a> Posted By 
										<cfif Len(comments[commentsIndx].link)><a href="#comments[commentsIndx].link#" rel="nofollow" target="_blank">#comments[commentsIndx].name#</a><cfelse>#comments[commentsIndx].name#</cfif>
										| #DateFormat(comments[commentsIndx].dateAdded, "mmm dd, yyyy")# #TimeFormat(comments[commentsIndx].dateAdded, "H:mm tt")#
									</div>
								</div><br />
							</cfloop>
						<cfelseif IsQuery(comments)>
							<cfloop query="getComments">
								<div id="comment_#id#" <cfif CurrentRow mod 2>class="comment"<cfelse>class="commentAlt"</cfif>>
									<div class="commentBody"><cfif application.useGravatar><img src="http://www.gravatar.com/avatar.php?gravatar_id=#LCase(Hash(email))#&amp;rating=PG&amp;size=40&amp;default=#application.burl#/images/gravatar.gif" /> </cfif><cfif application.commentSmilesConverter>#application.funcObj.renderEntry(application.funcObj.smilesConverter(comment))#<cfelse>#application.funcObj.renderEntry(comment)#</cfif></div>
									<div class="commentByLine">
										<a href="#lnk###comment_#id#">##</a> Posted By 
										<cfif Len(link)><a href="#link#" rel="nofollow">#name#</a><cfelse>#name#</cfif>
										| #DateFormat(dateAdded, "mmm dd, yyyy")# #TimeFormat(dateAdded, "H:mm tt")#
									</div>
								</div><br />
							</cfloop>
						</cfif>
					</div>
				</cfif>
			</cfif>
		</div>
	</cfoutput>
<cfelse>
	No such entry exists.
</cfif>

