<cfsilent>
	<cfparam name="id" default="">
	<cfparam name="email" default="">
	<cfparam name="remail" default="">
	<cfparam name="comment" default="">
	<cfparam name="captchaText" default="">
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getEntry" datasource="#application.dsn#">
		Select e.subject as title, e.message, a.email, e.alias
		From onessBlog_entries e, onessBlog_admins a
		Where e.entry_id = <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="#Val(id)#">
			and e.is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			and e.posted_by = a.admin_id
			and e.posted <= GetDate()
	</cfquery>
	<cfset errMsg = "">
	<cfif getEntry.RecordCount eq 0>
		<cfset errMsg = ListAppend(errMsg, "Invalid entry", "|")>
	</cfif>
	<cfif not IsValid("email", Left(email, 100))>
		<cfset errMsg = ListAppend(errMsg, "Please enter your email address", "|")>
	</cfif>
	<cfif not IsValid("email", Left(remail, 100))>
		<cfset errMsg = ListAppend(errMsg, "Please enter receiver email address", "|")>
	</cfif>
	<cfif application.useCaptcha>
		<cfif Len(captchaText) eq 0>
			<cfset errMsg = ListAppend(errMsg, "Please enter the Captcha text", "|")>
		<cfelseif not application.captcha.validateCaptcha(captchaHash, captchaText)>
			<cfset errMsg = ListAppend(errMsg, "The captcha text you have entered is incorrect", "|")>
		</cfif>
	</cfif>
	<cfif Len(errMsg) eq 0>
		<cfset lnk = "#application.burl#/index.cfm/action:posts.entry/id:#id#/#getEntry.alias#">
		<cfsavecontent variable="msg">
			<cfoutput>
				<p>
					This following blog entry was sent to you from: <strong>#email#</strong><br />
					It came From the blog: <strong>#application.title#</strong><br />
					Entry title: <strong>#getEntry.title#</strong><br />
					Entry link: <strong><a href="#lnk#">#lnk#</a></strong>
				</p>

				<cfif Len(comment)>
					<p>
						The following notes were included:<br />
						<b>#comment#</b>
					</p>
					<p><hr></p>
				</cfif>
				#getEntry.message#
			</cfoutput>
		</cfsavecontent>
		<cfif application.mailserver is "">
			<cfmail to="#remail#" from="#email#" bcc="#getEntry.email#" subject="Blog entry from: #application.title#">#msg#</cfmail>
		<cfelse>
			<cfmail to="#remail#" from="#email#" bcc="#getEntry.email#" subject="Blog entry from: #application.title#"
				server="#application.mailserver#" username="#application.mailusername#" password="#application.mailpassword#">#msg#</cfmail>
		</cfif>
		<cflocation addtoken="No" url="#lnk#">
	</cfif>
</cfsilent>
	
