<cfsilent>
	<cfquery name="getEntriesNumber" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select Min(posted) as firstPost, Max(posted) as lastPost, Count(entry_id) as entriesNumb, DateDiff(d, Min(posted), Max(posted)) as daysPosted
		From onessblog_entries
		Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
	</cfquery>
	<cfquery name="get30DayEntriesNumber" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select Count(entry_id) as entriesNumb
		From onessblog_entries
		Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			and DateDiff(d, posted, GetDate()) <= <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="30">
	</cfquery>
	<cfquery name="getCommentsNumber" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select Min(dateAdded) as firstComment, Max(dateAdded) as lastComment,Count(id) as commentsNumb
		From onessblog_comments
	</cfquery>
	<cfquery name="totalViews" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select Sum(views) as entriesViews
		From onessblog_entries
	</cfquery>
	<cfquery name="topViews" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select top 10 entry_id, alias, views, subject
		From onessblog_entries
		Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
		Order by views desc
	</cfquery>
	<cfquery username="#application.dsnUsername#" password="#application.dsnPassword#" name="getCats" datasource="#application.dsn#">
		Select cat_name, cat_alias, entries_num, cat_id
		From onessBlog_categories
		Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
			and entries_num > <cfqueryparam cfsqltype="CF_SQL_INTEGER" value="0">
		Order by entries_num desc
	</cfquery>
	<cfquery name="topEntriesByComments" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select top 10 entry_id, alias, commentsNumb, subject
		From onessblog_entries
		Where is_active = <cfqueryparam cfsqltype="CF_SQL_BIT" value="1">
		Order by commentsNumb desc
	</cfquery>
	<cfquery name="topSearches" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select top 10 srch, Count(srch) as cnt
		From onessBlog_searchStats
		Group by srch
		Order by cnt desc
	</cfquery>
	<cfquery name="topCommenters" username="#application.dsnUsername#" password="#application.dsnPassword#" datasource="#application.dsn#">
		Select top 10 name, Count(name) as cnt
		From onessBlog_comments
		Group by name
		Order by cnt desc
	</cfquery>
</cfsilent>
<cfoutput>
<table>
	<tr>
		<td width="100%">
			<div><strong>Contents</strong></div>
			<div>
				<a href="index.cfm?action=stats##generalstats">General Stats</a><br>
				<a href="index.cfm?action=stats##topviews">Top Views</a><br>
				<a href="index.cfm?action=stats##categorystats">Category Stats</a><br>
				<a href="index.cfm?action=stats##topentriesbycomments">Top Entries by Comments</a><br>
				<a href="index.cfm?action=stats##topsearchterms">Top Search Terms</a><br>
				<a href="index.cfm?action=stats##topcommenters">Top Commenters</a><br>
			</div>
			<p />
			<div><a name="generalstats"></a><strong>General Stats</strong></div>
			<div>
				<table border="1" width="100%">
					<tr>
						<td width="50%"><strong>Total Entries:</strong></td>
						<td align="right">#getEntriesNumber.entriesNumb#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Posts Over Last 30 Days:</strong></td>
						<td align="right">#get30DayEntriesNumber.entriesNumb#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Average Posts Per Day (Last 30 Days):</strong></td>
						<td align="right">#NumberFormat(get30DayEntriesNumber.entriesNumb/30, "_.__")#</td>
					</tr>				
					<tr>
						<td width="50%"><strong>First Entry:</strong></td>
						<td align="right">#DateFormat(getEntriesNumber.firstPost, "mm/dd/yy")#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Last Entry:</strong></td>
						<td align="right">#DateFormat(getEntriesNumber.lastPost, "mm/dd/yy")#</td>
					</tr>
					<tr>
						<td width="50%"><strong>You have been blogging for:</strong></td>
						<td align="right">#getEntriesNumber.daysPosted# days</td>
					</tr>
					<tr>
						<td width="50%"><strong>Total Comments:</strong></td>
						<td align="right">#getCommentsNumber.commentsNumb#</td>
					</tr>
					<tr>
						<td width="50%"><strong>First Comment:</strong></td>
						<td align="right">#DateFormat(getCommentsNumber.firstComment, "mm/dd/yy")#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Last Comment:</strong></td>
						<td align="right">#DateFormat(getCommentsNumber.lastComment, "mm/dd/yy")#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Average Comments Per Entry:</strong></td>
						<td align="right">#NumberFormat(getCommentsNumber.commentsNumb/getEntriesNumber.entriesNumb, "_.__")#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Total Views:</strong></td>
						<td align="right">#totalViews.entriesViews#</td>
					</tr>
					<tr>
						<td width="50%"><strong>Average Views:</strong></td>
						<td align="right">#NumberFormat(totalViews.entriesViews/getEntriesNumber.entriesNumb, "_.__")#</td>
					</tr>
				</table>
			</div>
			<p />
			<div><a name="topviews"></a><strong>Top Views</strong></div>
			<div>
				<table border="1" width="100%">
					<cfloop query="topViews">
						<tr>
							<td width="50%"><strong><a href="index.cfm/action:posts.entry/id:#entry_id#/#alias#" rel="nofollow" target="_blank">#subject#</a></strong></td>
							<td align="right">#views#</td>
						</tr>
					</cfloop>
				</table>
			</div>
			<p />
			<div><a name="categorystats"></a><strong>Category Stats</strong></div>
			<div>
				<table border="1" width="100%">
					<cfloop query="getCats">
						<tr>
							<td width="50%"><strong><a href="index.cfm/action:posts.byCat/cat_id:#cat_id#/#cat_alias#" target="_blank">#cat_name#</a></strong></td>
							<td align="right">#entries_num#</td>
						</tr>
					</cfloop>
				</table>
			</div>
			<p />
			<div><a name="topentriesbycomments"></a><strong>Top Entries by Comments</strong></div>
			<div>
				<table border="1" width="100%">
					<cfloop query="topEntriesByComments">
						<tr>
							<td width="50%"><strong><a href="index.cfm/action:posts.entry/id:#entry_id#/#alias#" rel="nofollow" target="_blank">#subject#</a></strong></td>
							<td align="right">#commentsNumb#</td>
						</tr>
					</cfloop>
				</table>
			</div>
			<p />
			<div><a name="topsearchterms"></a><strong>Top Search Terms</strong></div>
			<div>
				<table border="1" width="100%">
					<cfloop query="topSearches">
						<tr>
							<td width="50%"><strong><a href="index.cfm/action:posts.search/search:#srch#/#srch#" rel="nofollow" target="_blank">#srch#</a></strong></td>
							<td align="right">#cnt#</td>
						</tr>
					</cfloop>
				</table>
			</div>
			<p />
			<div><a name="topcommenters"></a><strong>Top Commenters</strong></div>
			<div>
				<table border="1" width="100%">
					<cfloop query="topCommenters">
						<tr>
							<td width="50%"><strong>#name#</strong></td>
							<td align="right">#cnt#</td>
						</tr>
					</cfloop>
				</table>
			</div>
		</td>
	</tr>
</table>
</cfoutput>
